gnome-settings-daemon (51~alpha-1ubuntu1) stonking; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
    + debian/watch:
      - Look for alpha releases
  * New upstream release 51.alpha

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 30 Jun 2026 10:32:03 +0200

gnome-settings-daemon (50.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/rules: Update options disabling systemd support on non-Linux
    architectures for the new upstream release
  * d/tests/control: Extend test timeout here, too.
    The change in 50.0-2 seems to have resolved the FTBFS, but autopkgtests
    on some architectures had the same problem.

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Apr 2026 10:47:21 +0100

gnome-settings-daemon (50.0-2) unstable; urgency=medium

  * Team upload
  * d/rules: Extend test timeouts, hopefully resolving FTBFS on slower
    architectures such as riscv64 and loong64

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Mar 2026 14:12:38 +0000

gnome-settings-daemon (50.0-1ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
    + debian/watch:
      - Look for alpha releases

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Mar 2026 11:43:55 +0100

gnome-settings-daemon (50.0-1) unstable; urgency=medium

  * Team upload

  [ Alessandro Astone ]
  * New upstream release
  * d/control: Bump libnotify dependency
  * d/tests: Add autopkgtests

  [ Simon McVittie ]
  * Revert "d/watch, d/gbp.conf, d/control: Branch for 49.x"
  * (Another) new upstream release
  * d/patches: Drop patches that were included in 50.0
  * Standards-Version: 4.7.3 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Mar 2026 16:42:03 +0000

gnome-settings-daemon (49.1-5) unstable; urgency=medium

  * Team upload
  * d/watch, d/gbp.conf, d/control: Branch for 49.x.
    The debian/latest branch is now in use for early packaging of GNOME
    50 targeting experimental.
  * d/patches: Make donation reminder less intrusive.
    Add patches from upstream gnome-49 branch lowering its urgency setting
    so that it won't bypass the bypass the do-not-disturb setting or
    interrupt fullscreen apps. (Helps: #1120511)
  * d/patches/libgvc: Update libgvc to prevent crashes with newer Pipewire.
    This updates it to 47c47a42 (2026-01-23) which is the latest version,
    and the version currently used in g-s-d's main branch.
    (Closes: #1126544, #1124666)

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jan 2026 13:26:08 +0000

gnome-settings-daemon (50.0-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Drop patch applied upstream
  * d/p/u: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Mar 2026 16:49:45 +0100

gnome-settings-daemon (50~beta-0ubuntu2) resolute; urgency=medium

  * d/p: Fix tests against mutter 50~beta
  * d/tests: Add autopkgtests

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 26 Feb 2026 21:51:09 +0100

gnome-settings-daemon (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/control: Bump libnotify dependency
  * d/p: Drop patch applied upstream
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 23 Feb 2026 17:32:09 +0100

gnome-settings-daemon (50~alpha-0ubuntu2) resolute; urgency=medium

  * d/p/gvc-Don-t-crash-with-newer-pipewire-and-fix-device-select.patch:
    Fix a crash in GNOME shell when switching to HFP profile of
    Bluetooth headset. (LP: #2137545)

 -- Charles <charles05@canonical.com>  Wed, 21 Jan 2026 14:56:16 +0000

gnome-settings-daemon (50~alpha-0ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
      - Drop Build-Depends: xserver-xorg-input-wacom
    + debian/patches/debian:
      - power-test-Disable-known-broken-test.patch
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
    + debian/watch:
      - Look for alpha releases
  * New upstream release
  * d/p/d/power-test-Disable-known-broken-test.patch: Drop unnecessary patch
  * d/p/u: Refresh patches
  * d/control: Add new Build-Depends for the test suite

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 13 Jan 2026 14:52:13 +0100

gnome-settings-daemon (49.1-4) unstable; urgency=medium

  * Fix hurd build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 20:59:41 -0500

gnome-settings-daemon (49.1-3) unstable; urgency=medium

  * Update build options for hurd
  * Remove unnecessary Build-Depends: libpackagekit-glib2-dev
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 18:08:58 -0500

gnome-settings-daemon (49.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 10:51:28 +0000

gnome-settings-daemon (49.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * d/watch: Update to uscan syntax v5
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Gunnar Hjalmarsson from Uploaders (Closes: #1069566)
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie

  [ Alessandro Astone ]
  * d/maintscript: Remove obsolete autostart desktop files

  [ Guido Günther ]
  * debian/control: Add breaks on Phosh for dropping backlight handling

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 13:49:31 +0100

gnome-settings-daemon (49.0-1ubuntu3) questing; urgency=medium

  * d/maintscript: Remove obsolete autostart desktop files

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 26 Sep 2025 14:05:46 +0200

gnome-settings-daemon (49.0-1ubuntu2) questing; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * d/p/u/gsd-donation-reminder: Drop patch, moved to ubuntu-settings
    (LP: #2125267)
  * d/p/u: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 17:48:24 +0200

gnome-settings-daemon (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Alessandro Astone ]
  * debian/control: Add Breaks for dropping org.gnome.SettingsDaemon.Wacom
  * debian/install: Drop empty etc/xdg/autostart directory

  [ Daniel van Vugt ]
  * debian/control: Move the Wacom "Breaks" to the common package
  * debian/control: Add missing build/test dependency on python3-dbusmock
  * debian/control: Bump requirement to gnome-desktop-4
  * debian/control: The libcanberra-gtk3 build dep changed to libcanberra
  * debian/control: Remove build-depends on GTK
  * debian/control: Remove build-depends on wacom packages
  * debian/control: Remove build-depends on polkitd
  * debian: Remove now empty directory: usr/share/polkit-1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Sep 2025 13:37:06 -0400

gnome-settings-daemon (48.1-2) unstable; urgency=medium

  * Add Recommends: systemd-oomd (Closes: #1111296)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 16 Aug 2025 11:17:46 -0400

gnome-settings-daemon (49.0-1ubuntu1) questing; urgency=medium

  * Set ubuntu version number:
    - The package is not actually in sync with Debian
    - The previous upload should have been 49.0-0ubuntu1
    - Set version 49.0-1ubuntu1 now to avoid future automatic syncs

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 14:24:45 +0200

gnome-settings-daemon (49.0-1) questing; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 12:47:04 +0200

gnome-settings-daemon (49~rc-0ubuntu1) questing; urgency=medium

  * New upstream release 49.rc
  * debian/install: Drop empty etc/xdg/autostart directory

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 05 Sep 2025 15:21:19 +0200

gnome-settings-daemon (49~beta-0ubuntu1) questing; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 49.beta
  * Remove now empty directory: usr/share/polkit-1
  * Build dependency changes:
    - Drop build-depends on wacom packages
    - Bump requirement to gnome-desktop-4
    - The libcanberra-gtk3 build dep changed to libcanberra
    - Add python3-dbusmock build/test dependency
  * Refresh patches:
    - keyboard-sync-input-sources-to-accountsservice.patch
    - media-keys-restore-terminal-keyboard-shortcut-schema.patch
    - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
  * Add patches:
    - power-test-Disable-known-broken-test.patch
    - gsd-donation-reminder-Disable-for-Ubuntu-sessions.patch

  [ Alessandro Astone ]
  * debian/control: Add Breaks for dropping org.gnome.SettingsDaemon.Wacom
  * debian/watch: Look for alpha releases

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 06 Aug 2025 16:10:20 +0800

gnome-settings-daemon (48.1-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112003). Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Rebase patches
  * Dropped changes as they were upstreamed:
    * d/p/power-Ensure-backlight-iface-signal-gets-emited-on-startu.patch:
      Add proposed patch to restore the brightness slider in quicksettings
      (LP #2105397)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 03 Jun 2025 11:57:04 -0700

gnome-settings-daemon (48.1-1) unstable; urgency=medium

  * New upstream release (LP: #2105397)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 24 Apr 2025 08:30:36 -0400

gnome-settings-daemon (48.0-1ubuntu2) plucky; urgency=medium

  * d/p/power-Ensure-backlight-iface-signal-gets-emited-on-startu.patch:
    Add proposed patch to restore the brightness slider in quicksettings
    LP: #2105397

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 08 Apr 2025 20:39:38 +0200

gnome-settings-daemon (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Rebase patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Mar 2025 13:17:07 +0100

gnome-settings-daemon (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 13:33:33 -0400

gnome-settings-daemon (48~rc-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 17:25:38 -0500

gnome-settings-daemon (48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 17:16:17 -0500

gnome-settings-daemon (48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Remove media-keys-correct-logout-action.patch: issue fixed in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 08:54:48 -0500

gnome-settings-daemon (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 08:46:39 -0500

gnome-settings-daemon (47.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * d/p/power-disconnect-from-display-config-when-backlight-is-de.patch:
    - Drop patch applied upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 06 Dec 2024 10:18:52 +0100

gnome-settings-daemon (47.2-1) unstable; urgency=medium

  * New upstream release (LP: #2085060)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Nov 2024 16:57:43 -0500

gnome-settings-daemon (47.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Fix a typo in a bug number in the previous changelog entry

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:23:21 -0400

gnome-settings-daemon (47.1-1ubuntu2) plucky; urgency=medium

  * Backport patch to fix memory corruption crashes (LP: #2085060)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 21 Nov 2024 21:16:08 +0100

gnome-settings-daemon (47.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Sep 2024 16:21:02 +0200

gnome-settings-daemon (47.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Disable tests that require working mutter & xwayland.
    Debian only started running these tests in July and they
    became much flakier after they were switched upstream to xwayland
    for 47~rc. (Mitigates: #1081417, #1081437, #1081439, #1081440)

  [ Simon McVittie ]
  * Drop unused Lintian override for #1031037, fixed in Lintian 2.117.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Sep 2024 07:35:54 -0400

gnome-settings-daemon (47~rc-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 12 Sep 2024 09:35:19 +0200

gnome-settings-daemon (47~rc-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/control: Add Breaks for gnome-shell/mutter older than 47.
    We now need the DisplayConfig and X11 D-Bus interfaces from mutter 47.
  * d/control: Build-depend on a version of gnome-session that fixes
    test suite assumptions
  * d/rules: Ensure that /tmp/.X11-unix exists

  [ Alessandro Astone ]
  * d/control, d/rules: Adapt for tests running in mutter Wayland mode:
    - build-depend on xwayland
    - don't use xvfb but keep xauth for now

  [ Jeremy Bícha ]
  * Run the mutter tests on loong64 since loong64 passes mutter's own tests
  * Upload to experimental until we are ready for the
    gnome-shell/mutter 47 transition

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Sep 2024 08:47:12 -0400

gnome-settings-daemon (47~beta-1ubuntu2) oracular; urgency=medium

  * Update keyboard patch to fix build with gcc-14

 --  Alessandro Astone <alessandro.astone@canonical.com>  Mon, 19 Aug 2024 17:00:51 -0400

gnome-settings-daemon (47~beta-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Add Build-Depends: accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 14:47:01 -0400

gnome-settings-daemon (47~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 14:39:38 -0400

gnome-settings-daemon (46.0-5ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 12:35:13 -0400

gnome-settings-daemon (46.0-5) unstable; urgency=medium

  * Further adjust Build-Depends to fix build tests for several Debian ports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 11:05:08 -0400

gnome-settings-daemon (46.0-4) unstable; urgency=medium

  * Fix Build-Depends for architectures missing some build test dependencies

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 15:58:27 -0400

gnome-settings-daemon (46.0-3) unstable; urgency=medium

  * Don't require build test dependencies on architectures where they
    aren't available
  * Ignore build tests failures for mips64el & riscv64 since they
    require working mutter. Similar skipping is done in mutter too.
  * Drop references to freebsd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 10:39:36 -0400

gnome-settings-daemon (46.0-2) unstable; urgency=medium

  [ Philip Withnall ]
  * Depend on umockdev for build tests

  [ Jeremy Bícha ]
  * Depend on gnome-session-bin for build tests
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jul 2024 16:16:53 -0400

gnome-settings-daemon (46.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2062169). Remaining changes:
    + debian/control:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 06:59:35 -0400

gnome-settings-daemon (46.0-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Michael Biebl ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060576)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 19:47:25 -0400

gnome-settings-daemon (46~beta-2ubuntu8) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:15:00 +0000

gnome-settings-daemon (46~beta-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:10:55 +0000

gnome-settings-daemon (46~beta-2ubuntu6) noble; urgency=medium

  * No-change rebuild for mutter ABI changes on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 19:27:20 +0100

gnome-settings-daemon (46~beta-2ubuntu5) noble; urgency=high

  * No change rebuild against libcanberra-gtk3-0t64, libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:22:06 +0100

gnome-settings-daemon (46~beta-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:48:47 +1300

gnome-settings-daemon (46~beta-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:44:50 +0000

gnome-settings-daemon (46~beta-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:43:24 +0000

gnome-settings-daemon (46~beta-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 15:39:31 -0500

gnome-settings-daemon (46~beta-2) unstable; urgency=high

  * Build with gcr4
  * Bump minimum gsettings-desktop-schemas to 46~beta (Closes: #1064438)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 15:36:39 -0500

gnome-settings-daemon (46~beta-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 09:04:11 -0500

gnome-settings-daemon (46~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Feb 2024 09:03:35 -0500

gnome-settings-daemon (45.1-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 12:30:33 -0500

gnome-settings-daemon (45.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Jan 2024 12:25:52 -0500

gnome-settings-daemon (45.0-2) unstable; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Use udevdir from udev.pc to determine udev rules install path
    (Closes: #1057245)

  [ Simon McVittie ]
  * d/control, d/rules: Stop generating d/control from d/control.in
  * d/control: Remove version constraints unnecessary since Debian 11
    - remove versions from most versioned dependencies
    - remove obsolete versioned Breaks/Replaces
  * Remove obsolete maintscript handling unnecessary since Debian 11
  * Canonicalize order of unordered lists (wrap-and-sort -ab)
    - installed files
    - dependencies
    - Uploaders
  * Standards-Version: 4.6.2 (no changes required)
  * d/source/lintian-overrides: Suppress dh-exec-subst-unknown-variable
    for env:deb_udevdir in the solution to #1057245
  * d/gnome-settings-daemon.lintian-overrides: Suppress long-standing false
    positive #1031037
  * d/g-s-d-common.lintian-overrides: Suppress false positive for
    appstream-metadata-missing-modalias-provide.
    The purpose of <provides><modalias> is to get hardware support
    packages to be installed on systems with specific categories
    of hardware. gnome-settings-daemon is automatically installed on
    systems that have the GNOME desktop environment, but doesn't make
    much sense to install on systems that don't have GNOME, so it would
    be inappropriate to ask for it to be installed on laptops that run
    some other desktop environment and happen to have rfkill devices.

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Dec 2023 14:06:34 +0000

gnome-settings-daemon (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 14:36:13 -0400

gnome-settings-daemon (45.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libpolkit-gobject-1-dev to 0.114
  * Drop obsolete patch that lowered required policykit to build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 14:32:16 -0400

gnome-settings-daemon (45~rc-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Drop p11-kit patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 13:29:51 -0400

gnome-settings-daemon (45~rc-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - Use p11-kit (via gck) as smartcards backend
  * Remove 5 obsolete maintscript entries (before 3.28)
  * Update upstream metadata fields: Bug-Database, Bug-Submit

  [ Marco Trevisan (Treviño) ]
  * debian/control: Build depend on libgck-1-dev and remove nss dependency

  [ Simon McVittie ]
  * d/clean: Clean up tests/__pycache__/ (Closes: #1044492)

  [ Boud Roukema ]
  * Add missing Homepage entry to debian/control*

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 13:20:26 -0400

gnome-settings-daemon (45~beta-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 15:14:48 -0400

gnome-settings-daemon (45~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 20:47:07 -0400

gnome-settings-daemon (44.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 20 Jun 2023 22:11:13 +0200

gnome-settings-daemon (44.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Update the p11-kit patches with latest version from upstream !208

 -- Jarred Wilson <jarred.wilson@canonical.com>  Wed, 24 May 2023 13:22:50 -0400

gnome-settings-daemon (44.1-1) experimental; urgency=medium

  * New upstream release
    - Power:
      + Connect to light sensor asynchronously
        (https://gitlab.gnome.org/World/Phosh/phosh/-/issues/915)
      + Initialize check for VM environment earlier
        (https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/issues/736)
    - Rfkill:
      + Monitor WwanEnabled property changes properly
    - Smartcards:
      + Check for the addition of new smartcard readers
    - Xsettings:
      + Do not force deprecated High Contrast icon theme
  * Drop gitlab_nmsignal_deprecated.patch, already included in 44.1.

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 24 Apr 2023 15:13:50 -0400

gnome-settings-daemon (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:22:49 -0400

gnome-settings-daemon (44.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Sebastien Bacher ]
  * Add gitlab_nmsignal_deprecated.patch:
    - cherrypick a change in review upstream to fix airplane mode on some
      Lenovo laptops (LP: #2011770)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:20:57 -0400

gnome-settings-daemon (44~rc-1ubuntu2) lunar; urgency=medium

  * debian/patches/gitlab_nmsignal_deprecated.patch:
    - cherrypick a change in review upstream to fix airplane mode on some
      Lenovo laptops (lp: #2011770)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Mar 2023 21:30:20 +0100

gnome-settings-daemon (44~rc-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Drop the xsettings revert patch since we fixed the issue in snapd
    instead (LP: #2008279)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 07:57:01 -0500

gnome-settings-daemon (44~rc-1) experimental; urgency=medium

  * New upstream release
    - Change default sleep timeout from 20 minutes to 15 minutes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 07:49:14 -0500

gnome-settings-daemon (44~beta-1ubuntu1) lunar; urgency=medium

  [ Amin Bandali ]
  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

  [ Jeremy Bicha ]
  * Add patch to revert xsettings commit that causes text input regression
    seen in the Firefox and Chromium Snaps

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 12:24:05 -0500

gnome-settings-daemon (44~beta-1) experimental; urgency=medium

  * New upstream release
  * Drop translation patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 10:51:12 -0500

gnome-settings-daemon (43.0-4ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 30 Jan 2023 13:27:38 -0300

gnome-settings-daemon (43.0-4) unstable; urgency=medium

  * Use the new pipewire-audio metapackage instead of listing the individual
    components

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Jan 2023 13:52:38 +0100

gnome-settings-daemon (43.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: Change Build-Depends from transitional policykit-1 to
    polkitd
  * d/control.in: Add Recommends on pkexec.
    Two plugins (for laptop backlights and Wacom devices) run commands via
    pkexec.
  * d/patches: Update translations from upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2022 11:00:56 +0100

gnome-settings-daemon (43.0-2) unstable; urgency=medium

  * Depend on libspa-0.2-bluetooth, pipewire & wireplumber
  * Allow alternate Depends on the pulseaudio equivalents
  * Also add Recommends without the pulseaudio alternates
    so that upgraders get the recommended default as long as
    they install Recommends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Sep 2022 17:26:23 -0400

gnome-settings-daemon (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
      - Revert-media-keys-fix-gnome-settings-desktop-file.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 08:36:29 -0400

gnome-settings-daemon (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * d/control.in: Replace transitional libfontconfig1-dev with libfontconfig-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 08:33:27 -0400

gnome-settings-daemon (43~rc-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
      - Revert-media-keys-fix-gnome-settings-desktop-file.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:49:02 -0400

gnome-settings-daemon (43~rc-1) unstable; urgency=medium

  * New upstream release
  * Build against libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:37:43 -0400

gnome-settings-daemon (43~beta-1ubuntu3) kinetic; urgency=medium

  * debian/control.in: fix typo in dependency version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 22:09:18 -0400

gnome-settings-daemon (43~beta-1ubuntu2) kinetic; urgency=medium

  * Build against libsoup3 libraries

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 18:17:16 -0400

gnome-settings-daemon (43~beta-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
      - Revert-media-keys-fix-gnome-settings-desktop-file.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 16:19:19 -0400

gnome-settings-daemon (43~beta-1) unstable; urgency=medium

  * New upstream release
    - Unset GDK_BACKEND envvar if a specific backend is needed
      (Closes: #1008992)
  * debian/rules: Keep building using gcr3 for now

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 Aug 2022 16:03:26 -0400

gnome-settings-daemon (42.2-1ubuntu2) kinetic; urgency=medium

  * Rebuild against latest gnome-desktop

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 07:22:42 -0400

gnome-settings-daemon (42.2-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
      - Recommend pipewire-pulse instead of pulseaudio
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
      - Revert-media-keys-fix-gnome-settings-desktop-file.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 01 Jun 2022 15:29:11 +0200

gnome-settings-daemon (42.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release (LP: #1969637)
  * Bump Standards-Version to 4.6.1

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 01 Jun 2022 12:47:39 +0200

gnome-settings-daemon (42.1-3) unstable; urgency=medium

  * Drop Revert-sharing-Don-t-manage-gnome-remote-desktop.patch
    - gnome-remote-desktop 42 provides its own systemd user session
      to start itself

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Apr 2022 15:15:17 -0400

gnome-settings-daemon (42.1-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Seitch back to libgweather4
  * debian/control.in: Build-Depend on libgweather4
  * debian/control.in: Break older gnome-control-center (Closes: #1008493)

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Mar 2022 19:10:46 +0100

gnome-settings-daemon (42.1-1ubuntu4) kinetic; urgency=medium

  * debian/control.in: recommends pipewire-pulse instead of pulseaudio

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 May 2022 16:18:32 +0200

gnome-settings-daemon (42.1-1ubuntu3) kinetic; urgency=medium

  * Drop patch reverting switch to libgweather4
  * debian/control.in: Build-Depend on libgweather4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Apr 2022 21:42:48 -0400

gnome-settings-daemon (42.1-1ubuntu2) jammy; urgency=medium

  * Drop Revert-sharing-Don-t-manage-gnome-remote-desktop.patch
    - gnome-remote-desktop 42 provides its own systemd user session
      to start itself

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 12 Apr 2022 10:06:23 -0400

gnome-settings-daemon (42.1-1ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Drop the keyboard deprecation revert since it doesn't look needed now

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Mar 2022 13:25:29 +0100

gnome-settings-daemon (42.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Mar 2022 13:20:09 +0100

gnome-settings-daemon (42~rc-1) experimental; urgency=medium

  * New upstream release
  * Drop meson build patch: applied in new release
  * Revert commit switching to libgweather4: we'll do that a little later
  * Revert dropping gnome-remote-desktop handling
    since it needs gnome-control-center 42 first

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Mar 2022 09:49:01 -0500

gnome-settings-daemon (42~alpha-1ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Add patch to revert a keyboard deprecation commit
    that may cause issues logging into the Ubuntu session

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 15:59:26 -0500

gnome-settings-daemon (42~alpha-1) experimental; urgency=medium

  * New upstream release
  * Depend on gsettings-desktop-schemas 42~
  * debian/rules: Handle pre-release versions too for dh13 variables

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 11:38:32 -0500

gnome-settings-daemon (41.0-4ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 02 Feb 2022 12:28:20 -0500

gnome-settings-daemon (41.0-4) unstable; urgency=medium

  * Build-Depend on libxfixes 6.0
  * Drop patch reverting new xfixes feature
    - This should enable XWayland to automatically quit when no longer used
      by apps
  * debian/rules: Minor cleanup
  * Cherry-pick proposed patch to fix build with latest meson

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 02 Feb 2022 12:11:29 -0500

gnome-settings-daemon (41.0-3) unstable; urgency=medium

  * debian/rules: Do not try to install polkit policy files on non-linux
    architectures
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Dec 2021 11:04:49 +0100

gnome-settings-daemon (41.0-2ubuntu1) jammy; urgency=medium

  * Merged with debian, including new upstream release
  * Remaining changes with debian:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

  [ Gunnar Hjalmarsson ]
  * d/p/ubuntu/keyboard-Use-ibus-sources-from-locale.patch:
    - Dropped mai_IN and sd_IN from engine_from_locale() since those
      languages are not selectable in the installer.
    - Added a comment about prerequisites for the engine_from_locale()
      items.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Nov 2021 15:26:15 +0100

gnome-settings-daemon (41.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Sep 2021 19:33:07 -0400

gnome-settings-daemon (41.0-1) experimental; urgency=medium

  * New upstream release
  * Drop libgweather-3.36 patch: no longer needed
  * debian/control.in: Bump minimum libgweather to 40
  * debian/control.in: Bump minimum meson to 0.49.0 and glib to 2.58
  * debian.control.in: Bump minimum upower to 0.99.12

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Sep 2021 16:48:10 -0400

gnome-settings-daemon (40.0.1-2) unstable; urgency=medium

  * Team upload
  * d/p/datetime-Restore-compatibility-with-libgweather-3.36.patch:
    Add patch to restore compatibility with libgweather 3.36.
    This will let us get the core GNOME 40 components such as Shell and
    g-s-d into testing without having to do a libgweather transition at
    the same time.
  * Release to unstable (part of transition: #992870)

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:21:20 +0100

gnome-settings-daemon (40.0.1-1ubuntu3) impish; urgency=medium

  * d/p/ubuntu/keyboard-Use-ibus-sources-from-locale.patch: add si_LK to the
    list of locales for which we prefer m17n.  LP: #1943768.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Sep 2021 15:58:15 -0700

gnome-settings-daemon (40.0.1-1ubuntu2) impish; urgency=medium

  * d/p/git-media-keys-Addd-one-second-delay-between-each-rfkill-.patch
    - Add one second dely between each rfkill event (lp: #1936303)

 -- Andy Chi <andy.chi@canonical.com>  Fri, 16 Jul 2021 12:09:36 +0200

gnome-settings-daemon (40.0.1-1ubuntu1) impish; urgency=medium

  * Merged with debian, including new upstream release
  * debian/control: Follow debian and mark x11-xserver-utils as recommended
  * d/p/revert-gsettings-removals.patch:
    - Drop, u-s-d moved to their own namespace
  * d/p/revert-mediakeys-dbus-interface-drop.patch:
    - Drop, no need to stay compatible
  * debian/patches:
    - Move smartcard p11-kit support under such namespace
    - Reorganize moving them in the ubuntu topic
      And use gbp to generate nicer names instead
  * debian/source_gnome-settings-daemon.py:
    Compute libdir version number dynamically.
    The g-s-d library version will now change at each major version update,
    so compute it from the package version instead of hardcoding it.
  * Remaining changes with debian:
    + debian/control.in:
      - Build-depend on accountsservice
      - Drop build-dependency on libnss-dev and add to libgck-1-dev
    + debian/patches/ubuntu:
      - keyboard-sync-input-sources-to-accountsservice.patch
      - keyboard-Use-ibus-sources-from-locale.patch
      - lid-close-suspend-support.patch
      - media-keys-correct-logout-action.patch
      - media-keys-restore-terminal-keyboard-shortcut-schema.patch
      - print-notifications-suppress-printer-may-not-be-connected.patch
      - teach-gsd-about-the-gnome-calculator-snap-.desktop-name.patch
    + debian/patches/p11-kit:
      - Use p11-kit (via gck) as smartcards backend
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 22:02:46 +0200

gnome-settings-daemon (40.0.1-1) experimental; urgency=medium

  * New upstream release:
    - Remove screenshot sound feedback, performed by gnome-shell
    - Make use of new gweather API
    - Use font aa/hinting/rgba-order from gsettings-desktop-schemas
    - Use mouse drag-threshold/double-click from gsettings-desktop-schemas
  * debian/control: Update build-dependencies to follow upstream
  * debian: Use debhelper 13 and simplify debian/rules accordingly
  * debian: Use dh 13 variable substitutions to install versioned libs.
    Upstream g-s-d will use major version name now to define various paths,
    so follow this by using some dh-13 magic.
  * debian/control: Add Breaks on old gtk and mutter.
    Since the font-settings related schemas are now moved to
    gsettings-desktop-schemas, this version will break with various
    libraries and applications relying on them.
    So, add breaks on old versions of gtk3, gtk4 and mutter libraries
    (using unreleased versions, as it's not expected that any new version of
    them will be adapted to this change).
    Do not break on gnome-tweaks, as it will still work even though without
    showing the font settings, but this is not an huge requirement.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 20:17:23 +0200

gnome-settings-daemon (3.38.2-1ubuntu1) impish; urgency=medium

  * New upstream version merged from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2021 15:29:43 +0200

gnome-settings-daemon (3.38.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Set unbuffered mode to read /dev/rfkill, fixing rfkill monitoring
      on some kernel versions
    - Translation update: sr
    - Various other changes were already in 3.38.1-3
  * Drop patches that came from upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 05 May 2021 21:38:31 +0100

gnome-settings-daemon (3.38.1-3ubuntu3) hirsute; urgency=medium

  * debian/patches: Support smartcard reders via p11kit API (LP: #1865226)
  * debian/control: Build depend on libgck-1-dev and remove nss dependency
    (LP: #1865226)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 04:53:56 +0100

gnome-settings-daemon (3.38.1-3ubuntu2) hirsute; urgency=medium

  * debian/patches/ubuntu_vino_handling.patch:
    - remove the patch bringing back the vino desktop sharing since
      gnome-remote-desktop support is enabled in Ubuntu now

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Feb 2021 15:26:10 +0100

gnome-settings-daemon (3.38.1-3ubuntu1) hirsute; urgency=medium

  * Merge with debian, remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
      - 45_suppress-printer-may-not-be-connected-notification.patch
      - 53_sync_input_sources_to_accountsservice.patch
      - 64_restore_terminal_keyboard_shortcut_schema.patch
      - correct_logout_action.patch
        display the logout action on ctrl-alt-del
      - ubuntu-lid-close-suspend.patch
        Reimplement support for setting lid close suspend actions
      - revert-wacom-migration.patch
      - revert-gsettings-removals.patch
        Revert gsettings keys that were dropped since 3.8, for u-s-d
      - revert-mediakeys-dbus-interface-drop.patch
      - ubuntu_ibus_configs.patch
      - git_binary_encoding.patch
      - ubuntu_calculator_snap.patch
      - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Jan 2021 17:39:51 +0100

gnome-settings-daemon (3.38.1-3) unstable; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * Disable colord support on non-linux architectures

  [ Simon McVittie ]
  * Update to upstream git commit
    GNOME_SETTINGS_DAEMON_3_38_1-15-g6018dd49 from the gnome-3-38 branch
    - Avoid warning about wireless input devices' low battery levels every
      time they reconnect, which can be frequent
    - Reduce memory use of gsd-datetime plugin
    - Unit test fixes
    - Translation updates
  * Standards-Version: 4.5.1 (no changes required)
  * Use upstream/3.38.x git branch.
    Upstream has branched for GNOME 40.
  * Mark g-s-d-dev as Multi-Arch: same.
    Move the pkg-config metadata to /usr/share/pkgconfig to allow for
    cross-compilation. There is actually nothing architecture-specific in
    g-s-d-dev itself, but it depends on libglib2.0-dev, so leave it as
    Architecture: any to get the right transitive dependency.

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jan 2021 09:56:54 +0000

gnome-settings-daemon (3.38.1-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update from upstream git commit
    GNOME_SETTINGS_DAEMON_3_38_1-6-gaffebf89
    - Fix a crash if a filesystem does not provide atime
    - If system-wide power management idle action is set to log out,
      ignore it in the gdm greeter (for which logging out makes no sense)
    - Silence unnecessary warnings if usbguard is not installed
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Nov 2020 10:14:55 +0000

gnome-settings-daemon (3.38.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Update gnome-volume-control with support for PulseAudio 14
      (currently only in experimental, a binNMU will be required when
      it arrives in unstable)
    - Avoid unnecessary warnings from media-keys plugin
    - Translation updates
  * d/p/01_debianize_xrdb.patch: Add DEP-3 metadata

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Nov 2020 10:26:54 +0000

gnome-settings-daemon (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:24:13 +0100

gnome-settings-daemon (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
      - 45_suppress-printer-may-not-be-connected-notification.patch
      - 53_sync_input_sources_to_accountsservice.patch
      - 64_restore_terminal_keyboard_shortcut_schema.patch
      - correct_logout_action.patch
        display the logout action on ctrl-alt-del
      - ubuntu-lid-close-suspend.patch
        Reimplement support for setting lid close suspend actions
      - revert-wacom-migration.patch
      - revert-gsettings-removals.patch
        Revert gsettings keys that were dropped since 3.8, for u-s-d
      - revert-mediakeys-dbus-interface-drop.patch
      - ubuntu_ibus_configs.patch
      - git_binary_encoding.patch
      - ubuntu_calculator_snap.patch
      - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Sep 2020 15:13:43 +0200

gnome-settings-daemon (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream stable release
    - Translation updates
  * Revert "watch: Find unstable versions"
  * Continue to upload to experimental for now, so we can batch together
    this and other core GNOME packages as part of #969321 when mozjs78
    has passed through NEW

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 11:40:48 +0100

gnome-settings-daemon (3.37.92-1ubuntu1) groovy; urgency=medium

  * Merge with debian, remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
      - 45_suppress-printer-may-not-be-connected-notification.patch
      - 53_sync_input_sources_to_accountsservice.patch
      - 64_restore_terminal_keyboard_shortcut_schema.patch
      - correct_logout_action.patch
        display the logout action on ctrl-alt-del
      - ubuntu-lid-close-suspend.patch
        Reimplement support for setting lid close suspend actions
      - revert-wacom-migration.patch
      - revert-gsettings-removals.patch
        Revert gsettings keys that were dropped since 3.8, for u-s-d
      - revert-mediakeys-dbus-interface-drop.patch
      - ubuntu_ibus_configs.patch
      - git_binary_encoding.patch
      - ubuntu_calculator_snap.patch
      - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Iain Lane <iain.lane@canonical.com>  Fri, 11 Sep 2020 17:37:48 +0100

gnome-settings-daemon (3.37.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Translation updates
    - USB protection: Relax the whitelist to all HIDs and hubs
    - Translation updates
    - WWAN: Translatable string improvements
    - Media keys: Use well-known name for screencast proxy
    - Xsettings: Fix race condition in fontconfig timestamp test
    - Power: Drop lid switch inhibitor when session is inactive

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 15:00:10 +0100

gnome-settings-daemon (3.37.0-1ubuntu2) groovy; urgency=medium

  * debian/control: Bump Breaks on gnome-{shell,session} & gdm3
    g-s-d has renamed its systemd units, and the older versions of these
    expected the old names.
    These packages have ≥ Depends relationships on 3.37 components - the
    Breaks here is mainly to stop this version of gnome-session from being
    able to migrate without the other packages.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 02 Sep 2020 18:03:47 +0100

gnome-settings-daemon (3.37.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
      - 45_suppress-printer-may-not-be-connected-notification.patch
      - 53_sync_input_sources_to_accountsservice.patch
      - 64_restore_terminal_keyboard_shortcut_schema.patch
      - correct_logout_action.patch
        display the logout action on ctrl-alt-del
      - ubuntu-lid-close-suspend.patch
        Reimplement support for setting lid close suspend actions
      - revert-wacom-migration.patch
      - revert-gsettings-removals.patch
        Revert gsettings keys that were dropped since 3.8, for u-s-d
      - revert-mediakeys-dbus-interface-drop.patch
      - ubuntu_ibus_configs.patch
      - git_binary_encoding.patch
      - ubuntu_calculator_snap.patch
      - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Aug 2020 01:17:51 +0200

gnome-settings-daemon (3.37.0-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release
    - Revamp of systemd service structure
    - Media-keys
      + Add static mapping for XF86RotationLockToggle
      + Use heuristic to switch MPRIS clients
    - Power
      + Ambient light moving average now time-aware
    - WWan
      + Handle multiple devices
      + Handle PUK unlocking
    - Wacom
      + Drop LED helper, handled by the kernel for long enough.
  * control: Bump BDs per meson.build

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 18:46:47 +0200

gnome-settings-daemon (3.36.1-1ubuntu2) groovy; urgency=medium

  * debian/patches/git_cupsbrowsed_notification.patch:
    - Ignore 'Printer-added' notifications for queues created by
      cups-browsed (lp: #1878241)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jul 2020 15:17:57 +0200

gnome-settings-daemon (3.36.1-1ubuntu1) groovy; urgency=medium

  * New upstream version (lp: #1876263)
  * debian/patches/git_sound_feedback.patch:
    - removed, included in the new version
  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
       - ubuntu_vino_handling.patch: restore support to handle vino service
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 May 2020 10:23:08 +0200

gnome-settings-daemon (3.36.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/patches/debian/01_debianize_xrdb.patch: Debianize the new 00-xrdb
    script, in debian /etc/X11/Xresources is a directory. Also lower
    x11-xserver-utils to Recommends

  [ Sebastien Bacher ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 May 2020 10:08:28 +0200

gnome-settings-daemon (3.36.0-1ubuntu2) focal; urgency=medium

  * debian/patches/ubuntu_vino_handling.patch: restore support to handle
    the vino service, upstream considers it deprecated of favor of
    gnome-remote-desktop but we don't have that yet (lp: #1871787)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Apr 2020 15:03:27 +0200

gnome-settings-daemon (3.36.0-1ubuntu1) focal; urgency=medium

  * Update to the stable version by merging from Debian
  * debian/patches/git_sound_feedback.patch:
    - backport a fix to always give feedback to sound changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Apr 2020 18:37:29 +0200

gnome-settings-daemon (3.36.0-1) unstable; urgency=medium

  * debian/control.in: Bump gsettings-desktop-schemas to 3.35.91, this is
    needed for the usb-protection key in the org.gnome.desktop.privacy schema
  * New upstream release
  * debian/gnome-settings-daemon.install: Install new script shipped in
    etc/xdg/Xwayland-session.d and add a dependency against x11-xserver-utils

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Mar 2020 17:09:48 +0100

gnome-settings-daemon (3.35.91-1ubuntu1) focal; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 09:30:10 +0100

gnome-settings-daemon (3.35.91-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Install the daemons in /usr/libexec now that's it's allowed in the policy
  * Disable systemd support on non-linux architectures, this should only be
    used to detect the path for the user .service/.target files

  [ Sebastien Bacher ]
  * New upstream release:
    - Add capability to disable USB while the lockscreen is on
      (based on USBGuard)
  * debian/control.in:
    - Suggests usbguard for the new lockscreen protection, the feature
      didn't get much testing yet and usbguard could create problems so
      don't bring it in by default yet
    - udpate the gsettings-desktop-schemas and gnome-desktop requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 09:23:32 +0100

gnome-settings-daemon (3.34.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Depend on libgnome-desktop-3-dev (>= 3.34.2), to put
      media-key-launched programs in a systemd scope if running under
      systemd
  * Bump Standards-Version to 4.4.1
  * Swap libpam-systemd dependencies to default-logind | logind.
    Thanks to Mark Hindley (Closes: #925335)
    - While changing this line anyway, also swap from
      negative architecture qualifier [!hurd-any !kfreebsd-any]
      to positive architecture qualifier [linux-any]
  * Build-depend on libglib2.0-dev:native for gsd-power-enums-update,
    which is built and run on the build architecture when cross-compiling.
    Thanks to Helmut Grohne (Closes: #916551)
  * Build-depend on debhelper-compat (= 12) instead of using debian/compat

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Dec 2019 15:44:01 +0000

gnome-settings-daemon (3.34.1-1) unstable; urgency=medium

  * New upstream bugfix release
    + Media-keys:
      - Update to OSD DBus API changes for keyboard brightness
    + Smartcards:
      - Use correct parent type for structs
      - Change manager to non-blocking
    + Power:
      - Fix rounding of brightness value
  * Drop GsdSmartcardService patch: applied in new release
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 Oct 2019 14:26:23 -0400

gnome-settings-daemon (3.34.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 17:18:07 +0200

gnome-settings-daemon (3.34.0-2) experimental; urgency=medium

  * Team upload
  * d/p/GsdSmartcardService-Use-correct-parent-type-for-structs.patch:
    Fix startup failure in smart card service

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2019 10:20:22 +0100

gnome-settings-daemon (3.34.0-1) experimental; urgency=medium

  [ Will Thompson ]
  * debian/rules: pass --auto-servernum to xvfb-run.

  [ Andre Moreira Magalhaes ]
  * New upstream release
  * debian/control.in: Bump gsettings-desktop-schemas dependency to 3.34.0

 -- Iain Lane <laney@debian.org>  Wed, 11 Sep 2019 15:30:56 +0100

gnome-settings-daemon (3.33.92-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Rebase patches. Many of these required manual resolution - especially
    64_restore_terminal_keyboard_shortcut_schema.patch which needed to be
    adjusted to upstream's new method.
  * control: BD on systemd - the build system requires its pcfile
  * gnome-settings-daemon.maintscript: Clean up Mouse & Clipboard XDG
    autostart files. These plugins have been dropped.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 06 Sep 2019 15:54:41 +0100

gnome-settings-daemon (3.33.92-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release
    + Media-keys
      - Fix MPRIS controller no longer working
    + XSettings
      - Make plugin able to run on demand
      - Ensure plugin is started after the shell
    + General
      - Replace deprecated 'g_type_class_add_private' in
        GnomeSettingsPluginInfo

  [ Laurent Bigonville ]
  * Bump debhelper compatibility to 12, this will ensure that
    dh_installsystemduser is called by default
  * debian/control.in: Bump gsettings-desktop-schemas dependency to 3.33.0
    to match the build-dependency version
  * debian/control.in: Bump Standards-Version to 4.4.0 (no further changes)

 -- Iain Lane <laney@debian.org>  Fri, 06 Sep 2019 13:51:19 +0100

gnome-settings-daemon (3.33.90-1ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Rebase patches. Many of these required manual resolution - especially
    64_restore_terminal_keyboard_shortcut_schema.patch which needed to be
    adjusted to upstream's new method.
  * control: BD on systemd - the build system requires its pcfile
  * gnome-settings-daemon.maintscript: Clean up Mouse & Clipboard XDG
    autostart files. These plugins have been dropped.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 16 Aug 2019 16:38:59 +0100

gnome-settings-daemon (3.33.90-1) experimental; urgency=medium

  * New upstream release
    - Add systemd user service files for all the plugins
    - With the exception of gsd-xsettings, daemons do not use the GDK X11
      backend anymore
    - WWAN:
      + New daemon, handles WWAN device settings
    - Mouse:
      + Removed daemon, everything is now implemented in mutter
    - Clipboard:
      + Removed daemon, everything is now implemented in mutter
    - Color:
      + Use Planckian calculations on night light
      + Allow night light to be always on
    - Rfkill:
      + Handle airplane mode for WWAN interfaces
    - XSettings:
      + Round Xft.dpi setting to an integer
      + Add entry for overlay scrolling setting
    - Media-keys:
      + Use device node from AcceleratorActivated arguments
      + Keygrabbing has been reworked. The new UngrabAccelerators DBus API on
        the shell is now required. Non-GNOME Desktops using g-s-d will need to
        be updated for this.
      + Add mapping for screen brightness cycle key
      + Fix launched clients inheriting DESKTOP_AUTOSTART_ID
      + Signal connector rather than output ID for OSD
      + Fix MPRIS issues with disconnecting clients
      + Allow mapping of hard-coded keys
    - Power:
      + Fix memory leak
      + Signal connector rather than output ID for OSD
      + Only disable Suspend/Hibernate actions inside VM
      + Remove special handling of tablet devices
  * debian/control: Update BDs per upstream. There's a new WWAN plugin which
    pulls in gcr and modemmanager.
  * meson.build-Lower-polkit-requirement.patch: Let polkit 0.105 satisfy the
    requirements. The present requirement is for the ITS rules, but we've
    backported them in Debian.

 -- Iain Lane <laney@debian.org>  Wed, 14 Aug 2019 18:11:46 +0100

gnome-settings-daemon (3.32.1-1ubuntu2) eoan; urgency=medium

  * debian/patches/ubuntu_ibus_configs.patch:
    - Always call add_ibus_sources_from_locale() during the first run
      of g-s-d. This ensures that an IBus method is included in "live
      sessions" when applicable (LP: #1786344).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 20 Jun 2019 11:57:11 +0100

gnome-settings-daemon (3.32.1-1ubuntu1) eoan; urgency=medium

  * New upstream version
    Media-keys:
    - Fix MPRIS issues with disconnecting clients (lp: #1832374)
  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * debian/patches/*: Refresh

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Jun 2019 15:48:01 +0200

gnome-settings-daemon (3.32.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Jun 2019 13:48:10 +0200

gnome-settings-daemon (3.32.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * debian/patches/*: Refresh

 -- Iain Lane <iain.lane@canonical.com>  Thu, 14 Mar 2019 11:25:46 +0000

gnome-settings-daemon (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Drop debian/patches/series, there are no patches

 -- Iain Lane <laney@debian.org>  Thu, 14 Mar 2019 09:39:36 +0000

gnome-settings-daemon (3.31.91-1ubuntu1) disco; urgency=medium

  * Merge with Debian (LP: #1817900). Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * debian/patches/*: Refresh

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 Mar 2019 14:36:58 +0000

gnome-settings-daemon (3.31.91-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release
    - Ignore key repeat on certain shortcuts
  * control: Depend new mutter, Break old gnome-shell.
    Older versions of gnome-shell don't provide the flag on the
    GrabAccelerators API that we use in this version of g-s-d.

  [ Laurent Bigonville ]
  * debian/rules: Set libdir to /usr/lib, this is needed for the gtk-modules
    (Closes: #922125)

 -- Iain Lane <laney@debian.org>  Wed, 06 Mar 2019 14:11:56 +0000

gnome-settings-daemon (3.31.90-1ubuntu1) disco; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian (LP: #1817900). Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

  [ Iain Lane ]
  * Set branches back to ubuntu/master
  * Refresh patches, rebase 53_sync_input_sources_to_accountsservice.patch

 -- Iain Lane <iain.lane@canonical.com>  Wed, 27 Feb 2019 12:16:32 +0000

gnome-settings-daemon (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop Build-Depend on libxtst-dev
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 20:47:05 -0500

gnome-settings-daemon (3.31.2-1) experimental; urgency=medium

  * New upstream development release
  * Bump minimum libglib2.0-dev to 2.56
  * Cherry-pick keyboard-Enable-ibus-for-OSK-purposes.patch

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 18 Jan 2019 07:49:50 -0500

gnome-settings-daemon (3.30.2-2ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook
  * Use ubuntu/disco branch, master has 3.31 prepared and I don't want to
    upload it yet

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Jan 2019 20:20:45 +0000

gnome-settings-daemon (3.30.2-2) unstable; urgency=medium

  * keyboard-Enable-ibus-for-OSK-purposes.patch: Cherry-pick from master.
    To fix enabling of the OSK in more circumstances. (LP: #1760399)
  * gbp.conf: Use debian/unstable branch now we've branched for exp

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Jan 2019 20:03:26 +0000

gnome-settings-daemon (3.30.2-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control.in:
      - Build-depend on accountsservice
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
       - git_binary_encoding.patch
       - ubuntu_calculator_snap.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Jan 2019 15:23:07 +0100

gnome-settings-daemon (3.30.2-1) unstable; urgency=medium

  * New upstream release
    - Fix tests with systemd 240 (Closes: #917708)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 09 Jan 2019 11:25:12 -0500

gnome-settings-daemon (3.30.1.2-2) unstable; urgency=medium

  [ Iain Lane ]
  * Add a gnome-settings-daemon-common package.
    This contains the GSettings schemas and other arch-independent files.
    Packages can depend or build-depend on this if they want the schemas but
    not the actual running gnome-settings-daemon.
    In particular, we currently have a circular BD/D chain between mutter
    and g-s-d, and this can be mostly broken if mutter depends on the
    schemas (which it needs) rather than the daemon (which it doesn't).
    The references to gnome-settings-daemon-schemas are because Ubuntu
    provides this package under that name - this is to help with
    transitioning to gnome-settings-daemon-common.
  * debian/copyright:
    + Fix a broken copyright symbol
    + Add some more copyright holders, thanks grep

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases
  * Drop obsolete dependency on nautilus-data

 -- Iain Lane <laney@debian.org>  Mon, 10 Dec 2018 16:42:34 +0000

gnome-settings-daemon (3.30.1.2-1ubuntu4) disco; urgency=medium

  * Upload the previous change to disco too

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Nov 2018 11:00:37 +0100

gnome-settings-daemon (3.30.1.2-1ubuntu3) cosmic; urgency=medium

  * debian/patches/ubuntu_calculator_snap.patch:
    - teach gsd about the gnome-calculator snap .desktop name, so it knows 
      how to start the calculator from its keybinding (lp: #1796499)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Oct 2018 13:56:39 +0200

gnome-settings-daemon (3.30.1.2-1ubuntu2) cosmic; urgency=medium

  * debian/patches/git_binary_encoding.patch:
    - backport fix from upstream to resolve suspend/resume rfk issues
      (lp: #1797322)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Oct 2018 16:27:17 +0200

gnome-settings-daemon (3.30.1.2-1ubuntu1) cosmic; urgency=medium

  * Merge with unreleased Debian version. Remaining changes:
    + Split out schemas into gnome-settings-daemon-schemas so
      unity-settings-daemon can use them
    + debian/control.in:
      - Build-depend on accountsservice
      - Bump breaks/replaces for moving files to the -schemas pkg
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - 70_allow_sound_above_100.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook and upstart scripts
    + debian/gnome-settings-daemon-schemas.install:
      - Install schemas, translations and the rfkill rule
    + Don't install gnome-settings-daemon.gsettings-override

 -- Iain Lane <iain.lane@canonical.com>  Mon, 08 Oct 2018 10:32:46 +0100

gnome-settings-daemon (3.30.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Disable suspend-then-hibernate, which is not yet ready to be the
      default behaviour (Closes: #908930)
  * Make pkg-config file available for cross-compilation by using default
    ${libdir}
  * Normalize (build-)dependency lists with wrap-and-sort -a
  * Normalize list of maintscript operations with wrap-and-sort -a
  * d/copyright: Remove trailing whitespace
  * Don't install pre-2010 ChangeLog

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Oct 2018 18:58:25 +0100

gnome-settings-daemon (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: use version-mangling for upstream-vcs-tag
    and other updates for Debian GNOME conventions
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.2.1
  * Enable all hardening flags
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 10 Sep 2018 08:28:39 -0400

gnome-settings-daemon (3.30.0-0ubuntu1) cosmic; urgency=medium

  * Update to 3.30.0:
    - Translation updates
    - Media-keys:
      Escape custom command for execution
    - Rfkill:
      Create nested cancellable for rfkill setting
    - Build:
      Fix undeclared dependency on gio-unix-2.0

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Sep 2018 12:22:13 +0200

gnome-settings-daemon (3.29.90.1-1~ubuntu1) cosmic; urgency=medium

  * Merge with unreleased Debian version (LP: #1783763). Remaining changes:
    + Split out schemas into gnome-settings-daemon-schemas so
      unity-settings-daemon can use them
    + debian/control.in:
      - Build-depend on accountsservice
      - Bump breaks/replaces for moving files to the -schemas pkg
    + debian/patches:
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - 70_allow_sound_above_100.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert-wacom-migration.patch
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
       - revert-mediakeys-dbus-interface-drop.patch
       - ubuntu_ibus_configs.patch
    + debian/gnome-settings-daemon.install:
      - Install apport hook and upstart scripts
    + debian/gnome-settings-daemon-schemas.install:
      - Install schemas, translations and the rfkill rule
    + Don't install gnome-settings-daemon.gsettings-override
  * debian/gbp.conf: Call the upstream tag pattern 'invalid' so that it
    creates errors - you currently need to pass this manually.
  * debian/patches/70_allow_sound_above_100.patch: Drop - this has been
    implemented upstream now.

 -- Iain Lane <laney@ubuntu.com>  Fri, 03 Aug 2018 11:33:04 +0100

gnome-settings-daemon (3.29.90.1-1) experimental; urgency=medium

  * Team upload

  [ Iain Lane ]
  * New upstream release 3.29.90.1
    - Allow volume above 100%
    - Fix improper notify_notification_close() usage
    - Make power test more robust
    - Update test suite to python3
  * debian/control{,.in}:
    + Bump gsettings-desktop-schemas dep to 3.27.90, so we have the key for
      the volume-above-100 stuff.
    + Change python deps to python3, as the testsuite has been ported.
  * debian/patches/0001-power-Make-power-test-more-robust.patch: Drop, applied
    upstream.

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Aug 2018 17:24:18 +0100

gnome-settings-daemon (3.29.0-1) experimental; urgency=medium

  * debian/gbp.conf: Call the upstream tag pattern 'invalid' so that it
    creates errors - you currently need to pass this manually.
  * debian/*: Update for experimental
  * New upstream release 3.29.0
    - Make mic mute key configurable
    - Handle Ctrl+Shift+TouchpadToggle
    - Wait forever for GrabAccelerators to succeed
    - Add SuspendAndHibernate
    - Drop X11-specific code to handle idle times
    - Cancel smooth transitions on color temperature changes
    - Define "disabled until tomorrow" as moving past sunrise
  * debian/patches/0001-power-Make-power-test-more-robust.patch: Cherry-pick
    from upstream master branch - make the tests more robust.
  * debian/rules, debian/control*: Run the tests fatally again and add a BD on
    mutter which is now a requirement.
  * debian/control*: Set Rules-Requires-Root to no, since we don't need root
    for any part of building the package.
  * Standards-Version → 4.1.5

 -- Iain Lane <laney@debian.org>  Thu, 26 Jul 2018 17:23:34 +0100

gnome-settings-daemon (3.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Fri, 13 Apr 2018 18:19:32 +1000

gnome-settings-daemon (3.28.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Tim Lunn <tim@feathertop.org>  Fri, 13 Apr 2018 18:18:32 +1000

gnome-settings-daemon (3.28.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove empty debian/patches/
  * Vcs-*: Update for move from Alioth svn to salsa.debian.org git
  * d/gbp.conf: Add
  * New upstream release
  * d/copyright: Update

  [ Jeremy Bicha ]
  * Update Breaks for removal of the A11yKeyboard plugin
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 11:09:23 -0400

gnome-settings-daemon (3.28.0-0ubuntu2) bionic; urgency=medium

  * debian/patches/ubuntu_ibus_configs.patch:
    - libpinyin instead of sunpinyin for zh_CN (LP: #1756205)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 25 Mar 2018 05:16:00 +0100

gnome-settings-daemon (3.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Mar 2018 21:28:18 -0400

gnome-settings-daemon (3.27.92-1) experimental; urgency=medium

  * New upstream release candidate

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Mar 2018 10:52:10 -0500

gnome-settings-daemon (3.27.92-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate
  * Drop git-power-fix-divide-by-0.patch: Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Mar 2018 11:31:47 -0500

gnome-settings-daemon (3.27.91-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * Make build tests non-fatal since the tests need to be updated
    after the meson conversion. See upstream issue 7
  * A11yKeyboard plugin has been dropped, update some of the Breaks
    for this

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 19 Feb 2018 14:23:09 -0500

gnome-settings-daemon (3.27.91-0ubuntu1) bionic; urgency=medium

  [ Jeremy Bicha ]
  * New upstream development release
  * Update Breaks for dropped plugin in new release
  * Build with meson
  * Bump minimum libglib2.0-dev to 2.53.0
  * Build-Depend on policykit-1 for its files
  * maintscript: rm obsolete org.gnome.SettingsDaemon.A11yKeyboard autostart
    file
  * Refresh patches
  * Disable build tests since they require installed gsettings schemas

  [ Tim Lunn]
  * d/p/git-power-fix-divide-by-0.patch:
    Cherry-pick patch which should fix the gsd-power crash for systems
    with no backlit keyboard. (LP: #1751956)

 -- Tim Lunn <tim@feathertop.org>  Mon, 05 Mar 2018 23:19:43 +1100

gnome-settings-daemon (3.26.2-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream release
  * Switch to dh_missing

  [ Helmut Grohne ]
  * Honour DEB_BUILD_OPTIONS=nocheck (Closes: #880486)

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Nov 2017 18:45:01 +0100

gnome-settings-daemon (3.26.2-0ubuntu3) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Feb 2018 06:54:07 -0500

gnome-settings-daemon (3.26.2-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest libgweather

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 06:58:03 -0500

gnome-settings-daemon (3.26.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1731099)
    - Fix Empty Trash button in Setting > Privacy (LP: #1721927)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Nov 2017 21:16:10 -0500

gnome-settings-daemon (3.26.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 17:06:30 -0400

gnome-settings-daemon (3.26.1-1) experimental; urgency=medium

  * New upstream release
    - Fix a regression in HiDPI support for Xorg session (LP: #1720150)
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 10:18:58 -0400

gnome-settings-daemon (3.26.1-0ubuntu5) artful; urgency=medium

  * debian/patches/ubuntu_ibus_configs.patch:
     - configure sources only when there is none, that code is meant to be
       used on first login only, the issue was due to a merge error in the 
       recent changes, thanks Mitsuya Shibata for pointing the error
       (lp: #1723358)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Oct 2017 13:07:31 +0200

gnome-settings-daemon (3.26.1-0ubuntu4) artful; urgency=medium

  * debian/patches/ubuntu-lid-close-suspend.patch:
    - restore the patch for the schemas part (and delete the code), 
      those keys are used by unity-settings-daemon (lp: #1722920)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Oct 2017 16:45:31 +0200

gnome-settings-daemon (3.26.1-0ubuntu3) artful; urgency=medium

  * debian/patches/ubuntu-lid-close-suspend.patch:
    - comment that old Ubuntu patch, it's buggy and creating issues like
      laptops suspending when logging in while docked with the lid closed
      (lp: #1716160)
  * debian/patches/ubuntu_ibus_configs.patch:
    - use sunpinyin instead of pinyin for zh_CN since that's the ibus
      component which is preinstall nowadays

  [ Ikuya Awashiro ]
  * debian/patches/ubuntu_ibus_configs.patch: use mozc-jp instead of anthy
    for Japanese. ibus-anthy is not installed by default anymore.
    (lp: #1722681)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Oct 2017 13:57:31 +0200

gnome-settings-daemon (3.26.1-0ubuntu2) artful; urgency=medium

  * debian/patches/ubuntu_ibus_configs.patch: restore the code that 
    configure the input method according to the locale, upstream removed it 
    because they use gnome-intial-setup but we don't

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Oct 2017 11:27:09 +0200

gnome-settings-daemon (3.26.1-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Fix a regression in HiDPI support for Xorg session, thanks
      Andrea Azzarone (LP: #1720150)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 03 Oct 2017 10:37:26 -0400

gnome-settings-daemon (3.26.0-1) experimental; urgency=medium

  * Team upload
  * debian/watch: Only watch for stable versions again
  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Sep 2017 11:41:21 +0100

gnome-settings-daemon (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Sep 2017 22:06:20 -0400

gnome-settings-daemon (3.25.92-1) experimental; urgency=medium

  * Team upload
  * New upstream release

  [ Laurent Bigonville ]
  * debian/rules: Make tests failures fatal on s390x again, the tests were
    failing because hwdb files included in udev package were not installed,
    adding a build-dependency against udev fixed the failure.

  [ Jeremy Bicha ]
  * Orientation and xrandr plugins have been moved to mutter
    - Bump Breaks for gnome-session that shipped files with those plugins
      as RequiredComponents
  * debian/gnome-settings-daemon.maintscript:
    - Remove obsolete autostart files for Orientation and XRANDR plugins

  [ Simon McVittie ]
  * debian/watch: Watch for development versions
  * Bump GLib build-dependency
  * Do not try to install usr/share/icons, no longer provided
  * Add Breaks on pre-3.25 GNOME Shell and GNOME Control Center for
    lockstep upgrade, since functionality has moved around
  * d/p/04_superP.patch: Drop, this functionality is no longer in g-s-d

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Sep 2017 11:59:05 +0100

gnome-settings-daemon (3.25.92-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Fix translation of notifications, thanks Sebastien Bacher

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Sep 2017 08:59:29 -0400

gnome-settings-daemon (3.25.91-0ubuntu2) artful; urgency=medium

  * debian/gnome-settings-daemon.maintscript:
    - Remove obsolete autostart files for Orientation and XRANDR plugins.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 23 Aug 2017 09:01:04 -0400

gnome-settings-daemon (3.25.91-0ubuntu1) artful; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - Orientation and xrandr plugins have been moved to mutter
    - Bump Breaks for packages that shipped gnome-session files
      with those plugins as RequiredComponents
  * debian/gnome-settings-daemon.install:
    - Don't try to install icons that were used by xrandr plugin
  * Refresh patches
  * Drop 04_superP.patch (it was a patch for the xrandr plugin), but move
    old gsettings key to revert-gsettings-removals.patch for Unity
  * Add revert-mediakeys-dbus-interface-drop.patch:
    - Keep old MediaKeys D-Bus interface around since too much stuff
      still uses it.

  [ Laurent Bigonville ]
  * debian/rules: Make tests failures fatal on s390x again, the tests were
    failing because hwdb files included in udev package were not installed,
    adding a build-dependency against udev fixed the failure.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Aug 2017 20:28:36 -0400

gnome-settings-daemon (3.24.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Release to unstable
  * The gnome-settings-daemon binary has been replaced by individual
    binaries for each of the plugins. Add Breaks for packages shipping
    gnome-session sessions that need to be updated for this change.
  * Drop color-Make-the-testcase-able-to-run-uninstalled.patch:
    - Applied in new release

  [ Laurent Bigonville ]
  * New upstream release
    - Do not add the "US" keyboard layout by default for new users. For some
      reason, this keyboard was preferred over the system configured one on
      the first login. (Closes: #859268)
  * debian/rules: Make the tests non fatal on s390x and non-linux
    architectures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 06 Aug 2017 17:33:40 -0400

gnome-settings-daemon (3.24.3-0ubuntu3) artful; urgency=medium

  * Add patch to allow setting volume above 100%:
    - debian/patches/70_allow_sound_above_100.patch, adapt the patch from
      ubuntu-settings-daemon to latest g-s-d. (LP: #1706524)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 16 Aug 2017 08:29:43 +0200

gnome-settings-daemon (3.24.3-0ubuntu2) artful; urgency=medium

  * Make dh_auto_test non-fatal on s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 23 Jul 2017 08:51:45 -0400

gnome-settings-daemon (3.24.3-0ubuntu1) artful; urgency=medium

  * New upstream release
    - Do Night Light transition more gradually, as intended (LP: #1702722)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 23 Jul 2017 08:17:51 -0400

gnome-settings-daemon (3.24.2-2) experimental; urgency=medium

  * debian/control.in: Add a Breaks gnome-session << 3.24, g-s-d doesn't
    provides gnome-settings-daemon.desktop file which prevent the "gnome"
    session to start
  * Drop debian/gnome-settings-daemon.links, the gnome-settings-daemon
    executable is now gone, drop the symlink in /usr/bin as well

 -- Laurent Bigonville <bigon@debian.org>  Thu, 06 Jul 2017 01:18:12 +0200

gnome-settings-daemon (3.24.2-1) experimental; urgency=medium

  * New upstream release.
    - debian/control.in: Adjust the {build-}dependencies
    - Drop d/p/media-keys-Fix-mmkeys-D-Bus-API-to-match-API-docs.patch:
      applied upstream
  * debian/control.in: Bump Standards-Version to 4.0.0 (no further changes)
  * d/p/color-Make-the-testcase-able-to-run-uninstalled.patch: Fix the tests
  * debian/gnome-settings-daemon.maintscript: Remove
    /etc/xdg/autostart/gnome-settings-daemon.desktop during the upgrade
  * debian/rules: Explicitly remove the .la files instead of ignoring them in
    dh_install call

 -- Laurent Bigonville <bigon@debian.org>  Wed, 05 Jul 2017 21:56:07 +0200

gnome-settings-daemon (3.24.2-0ubuntu2) artful; urgency=medium

  * debian/control.in:
    - Build-Depend on python-dbusmock, python-gi, xauth & xfvb
  * debian/rules:
    - Enable build tests using dh_auto_test
  * Add disable-color-build-test.patch:
    - Disable the color tests which require compiled gsettings schemas,
      until they are fixed to work in a clean build environment
  * Drop the autopkgtest which just ran dh_auto_test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 May 2017 10:33:30 -0400

gnome-settings-daemon (3.24.2-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1689610)
    - Fix brightness control in some dual-GPU computers (LP: #1683445)
    - Disable GNOME's rfkill handling which basically reverts this to
      how it worked or didn't in 16.04 LTS. Hopefully, a more thorough
      rework will be done in time for 3.26.
  * Drop patches applied in new release:
    - git_fix-gdm-plugins.patch
    - media-keys-Fix-mmkeys-D-Bus-API-to-match-API-docs.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 09 May 2017 13:17:44 -0400

gnome-settings-daemon (3.24.1-0ubuntu4) artful; urgency=medium

  * Add autopkgtest to run upstream tests

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 04 May 2017 11:41:54 -0400

gnome-settings-daemon (3.24.1-0ubuntu3) artful; urgency=medium

  * Really add git_fix-gdm-plugins.patch
  * Add media-keys-Fix-mmkeys-D-Bus-API-to-match-API-docs.patch:
    Own the D-Bus name that the API documentation tells users of the
    multimedia keys API they should use (org.gnome.SettingsDaemon.MediaKeys),
    in addition to the D-Bus name that they actually use in practice
    (org.gnome.SettingsDaemon). (LP: #1686077)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 25 Apr 2017 07:55:13 -0400

gnome-settings-daemon (3.24.1-0ubuntu2) artful; urgency=medium

  * Add git_fix-gdm-plugins.patch:
    - Fix gdm starting with no plugins which broke Hi-DPI support
      on the login screen (LP: #1685035)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 22 Apr 2017 09:22:33 -0400

gnome-settings-daemon (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1682132)
  * Drop git_fix-calculator-key.patch, applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Apr 2017 09:34:03 -0400

gnome-settings-daemon (3.24.0-0ubuntu2) zesty; urgency=medium

  * Add git_fix-calculator-key.patch:
    - Fix Calculator keyboard key with gnome-calculator 3.24

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Mar 2017 19:55:10 -0400

gnome-settings-daemon (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * Drop git-workaround-startup-deadlock.patch:
    - Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 11:01:05 -0400

gnome-settings-daemon (3.23.92-0ubuntu2) zesty; urgency=medium

  * Add git-workaround-startup-deadlock.patch:
    - Try to fix some some plugins failing to start

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Mar 2017 09:36:47 -0400

gnome-settings-daemon (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2017 08:58:42 -0400

gnome-settings-daemon (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum glib2.0
  * Drop upstart scripts
  * Refresh patches
  * Add revert-wacom-migration.patch:
    - Revert migrating wacom schemas to gsettings-desktop-schemas
      since the old schemas are still used by Unity.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2017 15:04:17 -0500

gnome-settings-daemon (3.23.3-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1662647)
    - gnome-settings-daemon has been split into separate helper daemons
  * debian/control.in:
    - Bump minimum gsettings-desktop-schemas
    - Break old versions of budgie-desktop and gnome-session
  * debian/gnome-settings-daemon.install
    - manpage was dropped since there is no g-s-d binary any more
  * debian/gnome-settings-daemon.links:
    - Drop because there is no g-s-d binary any more
  * Drop 43_disable_locale_settings.patch since that code was dropped
    in new release
  * Update revert-gsettings-removals.patch:
    - Restore "active" and "priority" keys still used by Unity
    - Merge revert_background_dropping.patch into this patch
    - Don't bother patching the obsolete gconf conversion file any more
  * Refresh patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Feb 2017 18:20:50 -0500

gnome-settings-daemon (3.22.2-4) unstable; urgency=medium

  * debian/control.in: Add udev to the build-dependencies to fix the tests
    failures on s390x. (Closes: #867108)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 03 Jul 2017 22:32:27 +0200

gnome-settings-daemon (3.22.2-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/rules: Enable dh_auto_test
  * debian/control.in:
    - Build-depend on python-dbusmock, python-gi, xauth & xvfb for tests

  [ Laurent Bigonville ]
  * Remove debian/gnome-settings-daemon.gsettings-override to remember the
    NumLock state between sessions by default (Closes: #649587)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 03 Jul 2017 20:46:56 +0200

gnome-settings-daemon (3.22.2-2) unstable; urgency=medium

  * Team upload
  * d/p/media-keys-Fix-mmkeys-D-Bus-API-to-match-API-docs.patch:
    Own the D-Bus name that the API documentation tells users of the
    multimedia keys API they should use (org.gnome.SettingsDaemon.MediaKeys),
    in addition to the D-Bus name that they actually use in practice
    (org.gnome.SettingsDaemon). (Closes: #861111)

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Apr 2017 19:54:01 +0100

gnome-settings-daemon (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Mar 2017 18:22:17 +0100

gnome-settings-daemon (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 11 Oct 2016 14:39:33 +0200

gnome-settings-daemon (3.22.1-0ubuntu2) zesty; urgency=medium

  * debian/gnome-settings-daemon.user-session.upstart:
    Properly check the value of XDG_CURRENT_DESKTOP, and start for
    all GNOME-based sessions (not only GNOME Shell).
    The logic is copied from unity-settings-daemon.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 05 Nov 2016 11:23:03 +0300

gnome-settings-daemon (3.22.1-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release (LP: #1632428)
    - Fix crash when sharing plugin exits (LP: #1630853)
    - Make sure screensaver blanking works when locked while screensaver
      is inhibited

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2016 14:31:32 -0400

gnome-settings-daemon (3.22.0-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1620177). Remaining changes:
    + Split out schemas into gnome-settings-daemon-schemas so
      unity-settings-daemon can use them
    + Provide upstart user-session
    + debian/control.in:
      - Build-depend on accountsservice
      - Bump breaks/replaces for moving files to the -schemas pkg
    + debian/patches:
       - 05_disable_corner_tapping.patch:
          Disable corner tapping when disabling tap to click
       - 43_disable_locale_settings.patch:
          Don't set locales after sourcing .profile
       - 45_suppress-printer-may-not-be-connected-notification.patch
       - 53_sync_input_sources_to_accountsservice.patch
       - 64_restore_terminal_keyboard_shortcut_schema.patch
       - correct_logout_action.patch
          display the logout action on ctrl-alt-del
       - ubuntu-lid-close-suspend.patch
          Reimplement support for setting lid close suspend actions
       - revert_background_dropping.patch
          Keep gsettings keys background u-s-d needs them
       - revert-gsettings-removals.patch
          Revert gsettings keys that were dropped since 3.8, for u-s-d
    + debian/gnome-settings-daemon.install:
      - Install apport hook and upstart scripts
    + debian/gnome-settings-daemon-schemas.install:
      - Install schemas, translations and the rfkill rule
    + Don't install gnome-settings-daemon.gsettings-override
    + debian/rules: 
      - Dont link with "-Wl,-Bsymbolic-functions",
        this was causing GType mismatches between plugins using
        gsd-device-manager (LP: #1427877)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Sep 2016 02:01:59 -0400

gnome-settings-daemon (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/04_superP.patch.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 02:16:25 +0200

gnome-settings-daemon (3.21.92.1-1) unstable; urgency=medium

  * New upstream beta release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 13 Sep 2016 14:18:41 +0200

gnome-settings-daemon (3.21.90-2) unstable; urgency=medium

  * Drop translations for strings introduced by
    debian/patches/01_reinstate_updates_plugin.patch, this patch has been
    removed a while ago.
  * Install man page provided by upstream and remove the outdated one we
    shipped downstream.
  * Drop conffile removal code from pre-wheezy.
  * Convert from cdbs to dh.
  * Use dh-exec to install architecture specific files and switch from
    --list-missing to --fail-missing, to avoid missing uninstalled files.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 01:03:20 +0200

gnome-settings-daemon (3.21.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * debian/control.in:
    - Remove obsolete "typing break" from description

  [ Andreas Henriksson ]
  * New upstream beta release.
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 26 Aug 2016 11:07:08 +0200

gnome-settings-daemon (3.20.1-2) unstable; urgency=medium

  * debian/gnome-settings-daemon.install,
    debian/gnome-settings-daemon.maintscript: Move gnome-settings-daemon.desktop
    back to etc/xdg/autostart. We are trying to remove the non-standard
    /usr/share/gnome/autostart/ path.
  * debian/control.in: Bump gsettings-desktop-schemas (build-)dependency to
    3.20, gnome-settings-daemon needs the always-show-text-caret key

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2016 23:09:35 +0200

gnome-settings-daemon (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Depends on gsettings-desktop-schemas to (>= 3.19.3) for the mouse
    plugin changes.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 23:20:38 +0200

gnome-settings-daemon (3.20.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Mar 2016 19:37:44 +0200

gnome-settings-daemon (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Add libasound2-dev [linux-any] for alsa.pc check
    - Replace libnm-glib-dev and libnm-util-dev with
      libnm-dev (>= 1.0) [linux-any]
    - Bump gsettings-desktop-schemas-dev (>= 3.19.3)
    - Replace geoclue-2.0 with libgeoclue-2-dev (>= 2.3.1)
  * Add --disable-alsa configure flag on non-linux.
  * Bump Standards-Version to 3.9.7
  * Stop ship input-devices-example.sh
    (and usr/share/gnome-settings-daemon-* directory)
    - upstream removed support for non-libinput mouse configurations

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Mar 2016 12:24:55 +0100

gnome-settings-daemon (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Nov 2015 02:23:31 +0100

gnome-settings-daemon (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Oct 2015 17:51:38 +0200

gnome-settings-daemon (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/01_reinstate_updates_plugin.patch, we have
    gnome-software now which is responsible for the update notifications.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Oct 2015 11:54:56 +0200

gnome-settings-daemon (3.17.92-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 18:44:26 +0200

gnome-settings-daemon (3.17.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Add iio-sensor-proxy to recommends
    - now used as source for ambient light and orientation information.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Aug 2015 12:03:48 +0200

gnome-settings-daemon (3.16.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove Suggests on x11-xserver-utils. The xrdb plugin has been removed
    upstream a long time ago.
  * Remove Suggests on gnome-screensaver. Screen locking is nowadays done by
    gnome-shell/gdm and gnome-settings-daemon no longer starts
    gnome-screensaver directly.
  * Remove Suggests on metacity | x-window-manager as gnome-settings-daemon no
    longer starts a window manager directly.
  * Remove obsolete Breaks from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Jul 2015 14:04:05 +0200

gnome-settings-daemon (3.16.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 14 Jun 2015 13:44:42 +0200

gnome-settings-daemon (3.16.2-2) experimental; urgency=medium

  * Bump Breaks: gnome-control-center to << 1:3.15.4 for the
    peripherals related schema changes.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Jun 2015 16:00:15 +0200

gnome-settings-daemon (3.16.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/control.in:
    + Update (build-)dependencies.
  * debian/patches/30_xrandr_dbus_init.patch,
    debian/patches/power-make-sure-to-set-an-error-when-GDBus-set_prope.patch:
    + Dropped, merged upstream.
  * debian/patches/04_superP.patch:
    + Updated for the new version.
  * Upload to experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 31 May 2015 00:06:31 +0200

gnome-settings-daemon (3.14.2-3) unstable; urgency=medium

  * Team upload
  * power-make-sure-to-set-an-error-when-GDBus-set_prope.patch:
    set the error when a GDBus set_property callback fails
    (hopefully Closes: #775877)

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Mar 2015 09:49:20 +0000

gnome-settings-daemon (3.14.2-2) unstable; urgency=medium

  * 01_reinstate_updates_plugin.patch: reinstate the “updates” plugin,
    since gnome-software is not in jessie and we need an update
    mechanism.
  * Use patch-translations.mk.
  * Reintroduce GNOME 3.12 translations.
  * Update packagekit-glib build-dependency.

 -- Josselin Mouette <joss@debian.org>  Thu, 04 Dec 2014 10:47:04 +0100

gnome-settings-daemon (3.14.2-1) unstable; urgency=medium

  * New upstream translation and bugfix release.
  * 30_xrandr_dbus_init.patch: patch from upstream git. Fixes a crash
    due to a race condition in dbus initialization.

 -- Josselin Mouette <joss@debian.org>  Sun, 30 Nov 2014 12:46:20 +0100

gnome-settings-daemon (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Oct 2014 09:47:37 +0200

gnome-settings-daemon (3.14.0-2) unstable; urgency=medium

  * Do not enable networkmanager support on !linux architectures
  * debian/control.in:
    - Add libnm-util-dev to the build-dependencies
    - Depends against libpam-systemd instead of plain systemd package, g-s-d
      needs logind for several power related functionalities

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Oct 2014 04:23:11 +0200

gnome-settings-daemon (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gnome-settings-daemon.install: stop installing
    usr/share/dbus-1/services. See upstream commit
    "keyboard: Remove input sources handling".
  * Bump Breaks on gnome-shell to 3.13.92 because of the above.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 20:05:46 +0200

gnome-settings-daemon (3.13.91-1) experimental; urgency=medium

  * New upstream development release.
  * Update build-dependencies according to configure.ac changes:
    - Add libnm-glib-dev (>= 0.9.9.1)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 15:00:51 -0700

gnome-settings-daemon (3.12.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Install rfkill udev rules in /lib/udev/rules.d instead of
    /usr/lib/udev/rules.d

  [ Andreas Henriksson ]
  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 00:02:20 +0200

gnome-settings-daemon (3.12.1-3) experimental; urgency=medium

  * debian/gnome-settings-daemon.install,
    debian/rules:
    + Only install rfkill udev rules on linux.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 03 May 2014 11:35:17 +0200

gnome-settings-daemon (3.12.1-2) experimental; urgency=medium

  * Brown paper bag release.
  * debian/rules:
    + It's DEB_CONFIGURE_EXTRA_FLAGS, not _EXTRA_ARGS.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 02 May 2014 20:19:30 +0200

gnome-settings-daemon (3.12.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules:
    + Disable rfkill support on !linux.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 02 May 2014 17:58:13 +0200

gnome-settings-daemon (3.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 20:12:45 +0100

gnome-settings-daemon (3.11.91-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac:
    - bump upower to 0.99.0, gnome-desktop 3.11.1, geoclue 2.1.2
    - add xkb-data (xkeyboard-config)
  * Ship uaccess tagging udev rule
  * Ship input-devices-example.sh
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Mar 2014 21:10:41 +0100

gnome-settings-daemon (3.10.1-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * Sync b-d with Ubuntu's gnome3 teams packaging

  [ Emilio Pozuelo Monfort ]
  * debian/patches/04_superP.patch:
    + Add upstream bug info.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 23:07:44 +0100

gnome-settings-daemon (3.8.5-2) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/gnome-settings-daemon.examples: Install input-device-example.sh as
    an example (Closes: #709526)

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 13 Oct 2013 17:37:46 +0200

gnome-settings-daemon (3.8.5-1) experimental; urgency=low

  * New upstream release.
  * debian/rules: Call dh-autoreconf with --as-needed to minimize the runtime
    dependencies
  * debian/gnome-settings-daemon.install: Install dbus service files, IBus
    support is shipping org.freedesktop.IBus.service

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Sep 2013 20:14:29 +0200

gnome-settings-daemon (3.8.4-2) experimental; urgency=low

  * debian/control.in, debian/rules: Re-enable ibus support (Closes: #720489)
  * debian/control.in: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/rules: Drop removed --enable-pulse configure flag

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Aug 2013 14:25:09 +0200

gnome-settings-daemon (3.8.4-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.
  * Bump Standards-Version to 3.9.4.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Aug 2013 20:06:53 +0200

gnome-settings-daemon (3.8.3-1) experimental; urgency=low

  [ Deng Xiyue ]
  * Disable "-Wl,-z,defs" on mipsel in order to fix segfault.
    (Closes: #629351)

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Jun 2013 18:48:22 +0200

gnome-settings-daemon (3.8.2-2) experimental; urgency=low

  * debian/gnome-settings-daemon.maintscript:
    + Properly set the version so that users who upgraded to a package
      that had already stopped shipping the conffile also get it removed.
      Really closes: #704184.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 26 May 2013 19:49:26 +0200

gnome-settings-daemon (3.8.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/gnome-settings-daemon.maintscript:
    + Remove obsolete conffile. Closes: #704184.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop patches merged upstream:
    - 08-Fix-build-on-non-Linux-platforms.patch
    - 12-cursor-set-an-error-if-we-can-t-create-a-monitor.patch
    - 13-cursor-set-error-if-we-don-t-have-the-necessary-X-su.patch
  * Drop 11-cursor-add-error-quark.patch, not needed.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 May 2013 17:18:18 +0200

gnome-settings-daemon (3.8.0-2) experimental; urgency=low

  * debian/control.in:
    + Bump libgnome-desktop-3-dev build dependency to get a .symbols
      file with Build-Depends-Package, to ensure a proper runtime
      dependency.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Mar 2013 12:59:02 +0100

gnome-settings-daemon (3.8.0-1) experimental; urgency=low

  * debian/patches/08-Fix-build-on-non-Linux-platforms.patch:
    + Fix the build on kfreebsd and hurd by including stdlib.h
      before using NULL.
  * New upstream release.
    + debian/control.in:
      - Bump libgnome-desktop3-dev requirement for the cursor fix.
    + debian/patches/05_disable_cursor_manager.patch:
      - Dropped, fixed upstream in a different way.
    + d/p/11-cursor-add-error-quark.patch
      d/p/12-cursor-set-an-error-if-we-can-t-create-a-monitor.patch
      d/p/13-cursor-set-error-if-we-don-t-have-the-necessary-X-su.patch:
      - New patches. The upstream fix to disable the cursor with
        Xorg < 1.14 was incomplete. With these patches we gracefully
        fail with Xorg < 1.14 and the cursor plugin will be enabled with
        Xorg >= 1.14.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 Mar 2013 16:48:21 +0100

gnome-settings-daemon (3.7.92-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * New upstream release
  * Bump the following build-dependencies according to configure.ac
    - libglib2.0-dev, libgtk-3-dev, gsettings-desktop-schemas-dev,
      libgnome-desktop-3-dev, libpulse-dev, libwacom-dev
  * Add build-dependency on librsvg2-dev (>= 2.36.2)
  * Add a runtime dependency on systemd (except on hurd and kfreebsd)
    as needed by the power plugin.
  * Drop debian/patches/power-check-null-devices.patch, fixed upstream.
  * Drop debian/patches/power-ignore-bad-dbus-requests.patch, fixed upstream.
  * Remaining patches refreshed to apply cleanly.

  [ Sjoerd Simons ]
  * debian/patches/revert_git_datetime_dropping.patch:
    - Dropped. Control center uses datetime directly now
  * debian/control.in: Break gnome-control-center (<< 3.7) as the DateTime
    mechanism is now dropped.
  * debian/control.in: Remove gstreamer build-depends, no longer needed
  * New upstream release (3.7.92)
  * debian/patches/05_disable_cursor_manager.patch
    + Added. Disable the cursor manager, causes crashes with Xorg 1.12. Remove
    once Xorg 1.14 is available or when bgo#696118 is fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 23 Mar 2013 16:34:51 +0100

gnome-settings-daemon (3.6.4-1) experimental; urgency=low

  [ Frederic Peters ]
  * debian/control.in: bump {build-,}dependency on gsettings-desktop-schemas.

  [ Aron Xu ]
  * debian/control.in debian/rules: disable ibus integration (Closes: #694301).

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 15 Feb 2013 22:12:34 +0100

gnome-settings-daemon (3.6.1-1) experimental; urgency=low

  * New upstream release
  * debian/patches/10_smaller_syndaemon_timeout.patch:
    + Dropped, fixed upstream
  * debian/patches/22_backlight_optional.patch:
    + Dropped, fixed upstream
  * debian/control: Update build-depends
  * debian/patches/*: refreshed

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 14 Oct 2012 21:16:55 +0200

gnome-settings-daemon (3.4.2+git20120925.a4c817-1) unstable; urgency=low

  * debian/g-s-d.gsettings-override: disable remember-numlock-state,
    because of the infamous https://bugzilla.gnome.org/679151
  * New upstream git snapshot from the stable branch (which will not be
    released despite the amount of useful bug fixes).
  * 10_smaller_syndaemon_timeout.patch: refreshed.
  * Drop merged patches: power-update-fallback-status-icon.patch,
    20_disable-wacom-support-on-s390-s390x.patch,
    21_disable-wacom-on-non-Linux-platforms.patch,
    24-common-Try-XI-2.2-if-XI-2.0-fails.patch.
  * Bump libwacom dependency.

 -- Josselin Mouette <joss@debian.org>  Sat, 29 Sep 2012 12:17:15 +0200

gnome-settings-daemon (3.4.2-5) unstable; urgency=low

  * debian/patches/power-update-fallback-status-icon.patch: Update battery
    status icon in fallback mode when switching between battery and AC power.
    Patch cherry-picked from upstream Git. (Closes: #678352)

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Aug 2012 23:36:38 +0200

gnome-settings-daemon (3.4.2-4) unstable; urgency=low

  * debian/patches/24-common-Try-XI-2.2-if-XI-2.0-fails.patch:
    * Added: Fix keybindings for newer libxi2 (Closes: #678250) (From
      upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 27 Jul 2012 16:06:28 +0200

gnome-settings-daemon (3.4.2-3) unstable; urgency=low

  [ Jeremy Bicha ]
  * debian/control.in: Stop depending on libgnome2-common

  [ Michael Biebl ]
  * Upload to unstable.
  * Drop obsolete --enable-gconf-bridge configure switch and Build-Depends on
    libgconf2-dev.
  * Remove obsolete Breaks.
  * Add Breaks against gnome-shell (<< 3.4) for the incompatible changes in
    the Power D-Bus API. Closes: #675130

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 12:43:11 +0200

gnome-settings-daemon (3.4.2-2) experimental; urgency=low

  * debian/patches/22_backlight_optional.patch: Don't enable backlight helper
    if GUdev is not available.

 -- Michael Biebl <biebl@debian.org>  Sun, 20 May 2012 06:19:23 +0200

gnome-settings-daemon (3.4.2-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/01-xrandr-correct-the-type-of-the-rotation-parameter.patch:
    + Removed, fixed upstream
  * debian/patches/02-lock-screensaver-on-lid-close.patch:
    + Removed, fixed upstream
  * debian/patches/04_superP.patch: Refreshed
  * Sync with Ubuntu:
    + Update build-depend versions of various items
    + Add build-depend on libnss3-dev for smartcard support
    + Add build-depend on libwacom-dev, xserver-xorg-input-wacom and
      libxtst-dev for wacom support
    + debian/patches/10_smaller_syndaemon_timeout.patch:
      - Added: Only disable touchpach clicks, not mouse movements (bgo: #673055)
    + debian/patches/power-check-null-devices.patch:
      - Added: Fix crash when up_client_get_devices returns NULL (bgo: #674827)
    + debian/patches/power-ignore-bad-dbus-requests.patch:
      - Added: If we get a DBus request while the manager isn't active, ignore
        it (bgo: #674829)
    + debian/patches/revert_git_datetime_dropping.patch
      - Added: Don't switch to systemd for datetime functionality just yet

  [ Michael Biebl ]
  * Refresh patches.
  * Drop dependency on hwdata. This is no longer necessary and handled via
    libgnome-desktop now.
  * Cherry-pick two upstream patches which disable wacom support on s390,
    s390x and non-Linux plattforms as xserver-xorg-input-wacom is not available
    there. Mark the xserver-xorg-input-wacom and libwacom-dev Build-Depends
    accordingly.
  * Bump Standards-Version to 3.9.3.
  * Remove libdbus-glib-1-dev dependency from gnome-settings-daemon-dev, no
    longer required.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 May 2012 23:36:19 +0200

gnome-settings-daemon (3.2.2-3) unstable; urgency=low

  * Correctly lock the screensaver on lid-close when lid-close action is set
    to blank and lock is enabled. Patch cherry-picked from upstream Git.
    Closes: #662747

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Mar 2012 14:46:08 +0100

gnome-settings-daemon (3.2.2-2) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/patches/01-xrandr-correct-the-type-of-the-rotation-parameter.patch:
    + Added, fix handling of XF86RotateWindows (bgo#664363)

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Dec 2011 00:12:47 +0100

gnome-settings-daemon (3.2.2-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release (3.2.2-1)
  * debian/control.in: Add liblcms2-dev to the build-depends for display color
    management
  * debian/gnome-settings-daemon.install: Also install the helper service files

  [ Josselin Mouette ]
  * Disable -z defs on ia64. This should really be avoided because it
    can cause runtime errors, but since binutils won’t be fixed it
    causes runtime errors anyway. Closes: #537572.

  [ Sjoerd Simons ]
  * Set -z,defs *before* setting --warn-unresolved-symbols in the linker flags
    otherwise the build will fail with unresolved symbol *errors*

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 Nov 2011 16:25:33 +0100

gnome-settings-daemon (3.2.1-1) experimental; urgency=low

  [ Michael Biebl ]
  * Use the new maintscript facility in dh_installdeb to remove the obsolete
    conffiles:
    - Bump Build-Depends on debhelper to (>= 8.1.0~).
    - Add Pre-Depends: ${misc:Pre-Depends}.
    - Replace preinst/postinst/postrm scripts with a
      gnome-settings-daemon.maintscript file.

  [ Josselin Mouette ]
  * 04_superP.patch: new patch. Allow to reconfigure the Super-P
    shortcut which is otherwise hardcoded to VIDEO_OUT.

  [ Sjoerd Simons ]
  * New upstream release (3.2.1)
  * debian/patches/01_medias_keys_dont_go_up_to_11.patch:
    + Removed, merged upsteram
  * debian/patches/02_missing_format.patch:
    + Removed, fixed upstream
  * debian/patches/03_deal_with_absence_of_gnome-session.patch:
    + Removed, merged upstream
  * debian/patches/04_superP.patch: Refreshed
  * debian/control.in: Update build-depends
  * debian/control.in: Add hwdata and libcolord-dev build-depends
  * debian/control.in: make gnome-settings-daemon recommend hwdata
  * debian/control.in: Make the gsettings-desktop-schemas depend more precise

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 26 Oct 2011 14:01:21 +0200

gnome-settings-daemon (3.0.3-3) unstable; urgency=low

  * debian/patches/03_deal_with_absence_of_gnome-session.patch:
    - Deal with absence of gnome-session gracefully and don't crash if
      gnome-session is not running. Patch cherry-picked from upstream Git.
      Closes: #645429
  * Remove obsolete conffiles in /etc/gnome/config on upgrades.
    Closes: #645443

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Oct 2011 18:07:27 +0200

gnome-settings-daemon (3.0.3-2) unstable; urgency=low

  * debian/control.in:
    - Make libgudev-1.0-dev linux-any.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 16:14:37 +0200

gnome-settings-daemon (3.0.3-1) unstable; urgency=low

  [ Jean Schurger ]
  * New upstream release.
  * Removed 01_numlock.patch (b-g-o #631989 is fixed)
  * Added 01_medias_keys_dont_go_up_to_11.patch
  * Added 02_missing_format.patch
  * debian/control.in
    - Standards-Version is 3.9.2, no changes needed.
    - Added dependencied to enable the update plugin (packagekit)
    - Bumped pulseaudio dependency according to the volume patch

  [ Josselin Mouette ]
  * Move g-s-d-dev to libdevel. Closes: #640125.

  [ Jordi Mallach ]
  * Update Vcs-* fields to new URLs.

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/watch:
    - Switch to version 3.
    - Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 13:17:13 +0200

gnome-settings-daemon (3.0.2-1) experimental; urgency=low

  [ Guido Günther ]
  * Bump build-dependency on libgnome-desktop-3-dev (Closes: #622689)

  [ Josselin Mouette ]
  * Break gdm3 < version with GSettings support.
  * New upstream release.
  * 01_numlock.patch: new patch. Work around the lack of support for
    per-host NumLock status by providing at least a global setting. It
    can turn wrong in multi-host environments, but it’s better than
    nothing in the general case.

 -- Josselin Mouette <joss@debian.org>  Sat, 04 Jun 2011 18:33:11 +0200

gnome-settings-daemon (3.0.0.1-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 28 Mar 2011 11:37:24 +0530

gnome-settings-daemon (2.91.93-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 27 Mar 2011 19:15:59 +0530

gnome-settings-daemon (2.91.92-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed, 23 Mar 2011 19:24:48 +0100

gnome-settings-daemon (2.91.91-1) experimental; urgency=low

  [Frederic Peters]
  * New upstream release.

  [Emilio Pozuelo Monfort]
  * debian/control.in:
    + Re-add build dependency on libxklavier-dev, since configure.ac
      actually requires it.

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Mar 2011 19:17:09 +0100

gnome-settings-daemon (2.91.90-2) experimental; urgency=low

  * debian/control.in:
    * Add build-dep on recent libgnomekbd-dev
    * Remove direct build-depend on libxklavier-dev, libgnomekbd-dev will pull
      in the right version

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Feb 2011 21:26:07 +0000

gnome-settings-daemon (2.91.90-1) experimental; urgency=low

  * New upstream release.
    - gnome-settings-daemon.install: keybindings for accessibility tools
      have been moved to the gnome-control-center module.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Feb 2011 22:49:26 +0100

gnome-settings-daemon (2.91.9-1) experimental; urgency=low

  [ Sebastien Bacher ]
  * debian/gnome-settings-daemon.install:
    - install the polkit files there
  * debian/control.in:
    - build-depends on libpolkit-gobject-1-dev
    - drop the build-depends on libxrandr-dev and libxrender-dev, the
      configure doesn't use those in the new version
    - recommends pulseaudio since it's used for the multimedia keys
    (Close: #611198)

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_missing_libs.patch:
    + Removed. This was fixed upstream in a different way a long time
      ago. The patch was also disabled on 2.91.5.1-1 without any bad
      consequences.
  * New upstream release.
    + d/patches/0001-Ensure-the-volume-doesn-t-underflow-and-wrap-around.patch,
      d/patches/13_monitor_kfreebsd.patch:
      - Removed, fixed upstream.
    + debian/control.in:
      - Updated build dependencies.
      - Update the gtk+ 3 build dependency for the new package name.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:28:40 +0000

gnome-settings-daemon (2.91.8-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * Enable pulseaudio support
  * Enable the settings d-conf <-> gconf bridge
  * d/p/0001-Ensure-the-volume-doesn-t-underflow-and-wrap-around.patch
    + Added. Fix a bug where it was possible to lower the volume below zero,
      causing it to wrap-around to MAXUINT.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
  * debian/rules:
    - Remove duplicated list-missing target and utils.mk include.
    - Include autoreconf.mk before debhelper.mk to not leave cruft when
      running clean.
  * debian/control.in:
    - Standards-Version is 3.9.1, no changes needed.
    - Drop old Replaces.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:48:04 +0000

gnome-settings-daemon (2.91.5.1-2) experimental; urgency=low

  * Make the nautilus-data depend versioned

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 12 Dec 2010 14:32:07 +0000

gnome-settings-daemon (2.91.5.1-1) experimental; urgency=low

  * New upstream release
  * debian/control.in: Update build-depends to gnome 3.0 versions
  * debian/patches/01_xrdb.patch
    - Removed. g-s-d no longer manages xrdb
  * debian/patches/03_maintainer_mode.patch
    - Removed. Fixed upstream
  * debian/patches/10_clipboard_crash.patch
    - Removed. Fixed upstream.
  * debian/patches/12_monitor_network_fs.patch
    - Removed. Fixed upstream
  * debian/patches/13_monitor_kfreebsd.patch
    - Updated
  * debian/patches/20_gstreamer.patch
    - Removed. Time to move to pulseaudio by default...
  * debian/patches/30_pkgconfig-path.patch:
    - Removed. Fixed upstream
  * debian/patches/70_relibtoolize.patch
    - Removed, moving to dh_autoreconf
  * debian/patches/99_ltmain_as-needed.patch
    - Removed, moving to dh_autoreconf
  * debian/gnome-settings-daemon.install
    - Updated
  * Switch to dh_autoreconf and trigger list-missing
  * Make gnome-settings-daemon depends on gsettings-desktop-schemas and
    nautilus-data to pull in the necessary schema files.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 11 Dec 2010 16:20:56 +0000

gnome-settings-daemon (2.30.2-4) unstable; urgency=low

  * Update for libnotify 0.7. Closes: #630277
    - Bump Build-Depends on libnotify-dev to (>= 0.7.0).
    - Add debian/patches/14_libnotify_0.7.patch.

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Aug 2011 05:14:40 +0200

gnome-settings-daemon (2.30.2-3) unstable; urgency=low

  * 11_retry-startup.patch: when starting the Xsettings manager, try
    again several times because there is a race condition on the X side.
    Closes: #614682.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Apr 2011 12:29:30 +0200

gnome-settings-daemon (2.30.2-2) unstable; urgency=low

  * 13_monitor_kfreebsd.patch: new patch. Don’t monitor fdescfs.
    Closes: #594891.
  * 10_clipboard_crash.patch: stolen from upstream git. Fixes a crash in
    the clipboard manager. Closes: #588308.

 -- Josselin Mouette <joss@debian.org>  Wed, 20 Oct 2010 01:29:10 +0200

gnome-settings-daemon (2.30.2-1) unstable; urgency=low

  * New upstream stable release.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * Refresh patches for new upstream release.
  * debian/control.in
    - Drop Build-Depends on dpkg-dev (>= 1.13.19) as even oldstable has a more
      recent version.
    - Add Vcs-Browser and Vcs-Svn fields.
    - Bump Standards-Version to 3.9.0.
    - Use Breaks as recommended by the new policy.

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Jul 2010 01:34:51 +0200

gnome-settings-daemon (2.30.1-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dependencies.
  * 11_sleepkey.patch, 40_xklavier_5.0.patch: dropped, obsolete.
  * 20_gstreamer.patch, 30_pkgconfig-path.patch, 70_relibtoolize.patch:
    updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Tue, 27 Apr 2010 20:00:27 +0200

gnome-settings-daemon (2.28.1-3) unstable; urgency=low

  * Depend on libgnome2-common for the GConf schemas.
  * 40_xklavier_5.0.patch: new patch. Get 2.28 version to work with
    libxklavier 5.0.
  * Require said version to build.

 -- Josselin Mouette <joss@debian.org>  Fri, 09 Apr 2010 00:17:00 +0200

gnome-settings-daemon (2.28.1-2) unstable; urgency=low

  * Drop libxxf86misc-dev build-dependency. This extension is only used
    as a fallback to XKB. Closes: #559690.
  * 12_monitor_network_fs.patch: new patch. Don’t monitor remote
    filesystems for their free size. Closes: #563592.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Jan 2010 10:59:14 +0100

gnome-settings-daemon (2.28.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/70_relibtoolize.patch:
      + Updated.
  * debian/rules: remove check-dist.mk to upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 06:08:36 +0200

gnome-settings-daemon (2.28.0-1) experimental; urgency=low

  * Add a watch file.
  * Add a manpage for gnome-settings-daemon, thanks Joshua Cummings!
    Closes: #494370.
  * debian/control.in: remove trailing whitespaces.
  * Standards-Version is 3.8.2, no changes needed.
  * New upstream release.
    - debian/control.in:
      + Bump libgtk2.0-dev and libgnome-desktop-dev build dependencies.
      + Remove libglade2-dev build dependency, no longer needed.
      + Build depend on libxklavier-dev >= 4.0 instead of libxklavier12-dev.
      + Break gnome-screensaver << 2.28 since g-s-d doesn't start it anymore,
        relaying on the autostart file in g-s 2.28.
    - debian/patches/20_gstreamer.patch,
      debian/patches/70_relibtoolize.patch:
      + Updated to apply again.
    - debian/gnome-settings-daemon.install:
      + Install *.ui rather than *.glade.
      + Don't install *.png, the icon is not shipped anymore.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/rules:
    - Don't touch every file anymore, it was done because of a broken tarball.
    - Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 09 Oct 2009 17:26:43 +0200

gnome-settings-daemon (2.26.1-2) unstable; urgency=low

  * 03_maintainer_mode.patch: new patch, add AM_MAINTAINER_MODE. Fixes
    FTBFS.
  * Regenerate 70_relibtoolize.patch.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 May 2009 16:19:52 +0200

gnome-settings-daemon (2.26.1-1) unstable; urgency=low

  * New upstream release.
    + 20_gstreamer.patch: install the plugin although pulse is disabled.
    + Refresh 70_relibtoolize.patch.
  * Move the autostart file to /usr/share/gnome/autostart.
  * gnome-settings-daemon.postinst:
    + Remove the old autostart file if needed.
    + Only remove the xrdb stuff upon upgrades from pre-2.24.1.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 May 2009 11:25:35 +0200

gnome-settings-daemon (2.26.0-2) experimental; urgency=low

  * 20_gstreamer.patch: Initialize Gerror * variables to NULL before
    usage. Fixes a crasher when using media keys (Closes: #524165)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Apr 2009 11:00:25 +0100

gnome-settings-daemon (2.26.0-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.
  * Install the autostart file and the keybindings XML file.
    + Break gnome-session < 2.24 which would attempt to start it twice
      with the autostart file.
  * 11_sleepkey.patch: updated for the new version.
  * 20_gstreamer.patch: new patch from Romain Périer, adds back support
    for GStreamer with a selection at compile time.
  * 70_relibtoolize.patch: regenerated.
  * Refresh other patches.
  * Pass --disable-pulse to configure, to use the GStreamer code
    instead.

 -- Josselin Mouette <joss@debian.org>  Sat, 11 Apr 2009 11:31:52 +0200

gnome-settings-daemon (2.24.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Improve package descriptions. Mention XSETTINGS. Closes: #511905.
  * Upload to unstable.

  [ Loic Minier ]
  * Suggest x11-xserver-utils as gnome-settings-daemon attempts to run xrdb by
    default and logs a warning when that fails.
  * Suggest gnome-screensaver as gnome-settings-daemon attempts to start it by
    default and logs a warning when that fails.
  * Suggest metacity | x-window-manager as gnome-settings-daemon attemts to
    start a window manager and logs a warning when that fails.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 08:48:36 +0200

gnome-settings-daemon (2.24.1-1) experimental; urgency=low

  * New upstream release.
    + Cleans up thumbnail cache automatically. Closes: #235067.
  * Update build-dependencies and -dev dependencies.
  * Standards version is 3.8.0.
  * Switch to quilt for patch management; build-depend on quilt.
  * 02_missing_libs.patch: explicitly add X11 libraries to
    SETTINGS_PLUGINS since plugins are actually relying on them being
    available.
  * 70_relibtoolize.patch: new patch, relibtoolize the source.
  * 99_ltmain_as-needed.patch: new patch, make --as-needed work.
  * Pass -O1 -z defs --as-needed to the linker.
    + Only warn on undefined symbols as plugins need a symbol from the
      daemon.
  * Add some comments in the patches.
  * Pass --no-act to dh_makeshlibs.
  * gnome-settings-daemon.postinst: remove /etc/gnome/config/xrdb.
  * Install .ad files in /etc/gnome/config to replace the ones from
    capplets-data which are still used.
  * Do not install the autostart file since we still use gnome-session
    2.22 which will start g-s-d by hand.

 -- Josselin Mouette <joss@debian.org>  Sat, 27 Dec 2008 11:29:41 +0100

gnome-settings-daemon (2.22.2.1-2) unstable; urgency=low

  * 08_extra_touchpad_options.patch: removed broken patch from Ubuntu.
    Closes: #481191.
  * 11_sleepkey.patch: use gnome-power-cmd to suspend the computer
    instead of the nonexistent gdm-signal.

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Nov 2008 16:08:08 +0100

gnome-settings-daemon (2.22.2.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix priority.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/rules:
      - Run touch on every file to fix up timestamps.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 29 May 2008 10:31:39 +0200

gnome-settings-daemon (2.22.1-2) unstable; urgency=high

  * Conflict against gnome-control-center < 2.21.5. Closes: #476802.

 -- Josselin Mouette <joss@debian.org>  Sat, 19 Apr 2008 22:17:49 +0200

gnome-settings-daemon (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/09_locate_pointer.patch:
      - Dropped, fixed upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 14:44:12 +0200

gnome-settings-daemon (2.22.0-4) unstable; urgency=low

  * debian/control.in:
    + Also conflict with totem (<< 2.22.0) for the same reason.
  * debian/gnome-settings-daemon.install:
    + Install xrdb files into /etc/gnome/config again.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Mar 2008 14:56:12 +0100

gnome-settings-daemon (2.22.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    + Add conflicts with rhythmbox (<< 0.11.5) and banshee (<< 0.13.2+dfsg-7)
      as the multimedia keys DBus interface changed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Mar 2008 01:47:15 +0100

gnome-settings-daemon (2.22.0-2) experimental; urgency=low

  * debian/rules:
    + Don't install the dbus service file. This is not meant to be autostarted
      but should be started by gnome-session.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 16 Mar 2008 17:39:52 +0100

gnome-settings-daemon (2.22.0-1) experimental; urgency=low

  * New package, based on the Ubuntu packaging.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 12 Mar 2008 15:17:19 +0100
